package com.gyee.common.contant;

/**
 * @ClassName : Contant
 * @Author : xieshengjie
 * @Date: 2021/6/15 22:28
 * @Description : 常量类
 */

public class Contant {

    //五项损失
    public static final String WXSS = "RFDL,AI022,RDJSSDL-ZS,RSTSSDL-ZS,RXNSSDL-ZS,RQXSSDL-ZS,RGZSSDL-ZS,NSZSSDL-ZS,RJXSSDL-ZS,RLZSSDL-ZS,RQFSSDL-ZS,RXDSSDL-ZS,RWZSSDL-ZS,RTZSSDL-ZS";
    //操作指令
    public static final String opePoints = "CI0668,CI0669,CI0670";

    public static final String benchPoints = "RSDJZSDL,RSSTZSDL,RXNZSDL,RSQXZSDL,RGZZSDL,RSZZSDL,RJXZSDL,RLZZSDL,RQFZSDL,RXDZSDL,RWZZSDL,RTZZSDL";
    //场站五损电量编码
    public static final String fiveLossPoints = "RXNSSDL,RDJSSDL,RQXJCLSSDL,RSDTJSSDL,RGZSSDL,RCNSLGZSSDL,RJXSSDL,RCNSLJXSSDL,RXDTJSSDL,RQFDL,RCWSLTQSSDL,RCWSLDWSSDL";

    public static final String monthbenchPoints = "YSDJZSDL,YSSTZSDL,YXNZSDL,YSQXZSDL,YGZZSDL,YSZZSDL,YJXZSDL,YLZZSDL,YQFZSDL,YXDZSDL,YWZZSDL,YTZZSDL";

    public static final String RFDLB = "RFDLB"; //日发电量（升压站）
    public static final String YFDLB = "YFDLB";//月发电量（升压站）
    public static final String NFDLB = "NFDLB";//年发电量（升压站）

    public static final String RFDL = "RFDL"; //日发电量
    public static final String YFDL = "YFDL";//月发电量
    public static final String NFDL = "NFDL";//年发电量

    public static final String SWDLB = "SWDLB"; //日上网发电量
    public static final String SWDLY = "SWDLY"; //月上网发电量
    public static final String SWDLN = "SWDLN"; //年上网发电量

    public static final String GWGWB = "GWGWB";//工网电量
    public static final String GWGWY = "GWGWY";//月工网电量
    public static final String GWGWN = "GWGWN";//年工网电量

    public static final String NWGWB = "NWGWB";//农网电量
    public static final String NWGWY = "NWGWY";//月农网电量
    public static final String NWGWN = "NWGWN";//年农网电量

    public static final String CYDLB = "CYDLB";//场用电量
    public static final String CYDLY = "CYDLY";//月场用电量
    public static final String CYDLN = "CYDLN";//年场用电量

    public static final String FNLYL = "FNLYL";//风能利用率
    public static final String AQTS = "AQTS";

    public static final String ZZYGL = "ZZYGL";//最优功率
    public static final String RPJFS = "RPJFS"; //日平均风速
    public static final String YPJFS = "YPJFS"; //月平均风速
    public static final String NPJFS = "NPJFS";  //年平均风速
    public static final String RPJGL = "RPJGL"; //日平均功率
    public static final String YPJGL = "YPJGL"; //月平均功率
    public static final String NPJGL = "NPJGL"; //年平均功率
    public static final String SSFS = "SSFS"; //实时风速
    public static final String SSZGL = "SSZGL"; //实时功率
    public static final String AI022 = "AI022"; //风机实时风速
    public static final String AI130 = "AI130"; //风机实时功率
    public static final String AIG013 = "AIG013"; //风机实时功率
    public static final String AI064 = "AI064"; //风机日发电量
    public static final String AI138 = "AI138"; //风机月发电量
    public static final String AI139 = "AI139"; //风机年发电量

    //判断数据中断(风速，功率，绕组温度，电流，电压)
    public static final String INTERRUPTION = "AI022,AI130,AI045,AI061,AI058";
    public static final String INTERRUPTIONGF = "AIG013,AIG017,AIG009,AIG006";
    //判断状态
    public static final String MX000 = "MX000"; //待机
    public static final String MX002 = "MX002";//运行
    public static final String MX003 = "MX003";//降出力运行
    public static final String MX008 = "MX008";//维护
    public static final String MX006 = "MX006";//故障

    public static final String MX004 = "MX004";//限电
    public static final String MX012 = "MX012";//离线（光伏关机）
    //判断降出力
    public static final String AI134 = "AI134"; //叶轮转速给定
    public static final String AI129 = "AI129"; //转矩给定
    public static final String AI178 = "AI178";//发电状态下的转速给定
    public static final String AI443 = "AI443";//scada有功设定值

    public static final String ZTMX = "ZTMX"; //状态明细
    public static final String FJ5T = "FJZT"; //五种状态
    public static final String AI422 = "AI422";  //AI状态码

    public static final String RSSQFZT = "RSSQFZT";  //实时欠发状态

    public static final String IRRAD = "FCCFTFS70";

    //明细状态
    public static final String CNGZNUM = "CNGZNUM";  //场内受累故障台数（明细）
    public static final String CNJXNUM = "CNJXNUM";  //场内受累检修台数（明细）
    public static final String DJNUM = "DJNUM";  //待机台数（明细）
    public static final String DWSLNUM = "DWSLNUM";   //电网受累台数（明细）
    public static final String FDNUM = "FDNUM";   //发电台数（明细）
    public static final String FDJCLNUM = "FDJCLNUM";   //缺陷降出力台数（明细）
    public static final String GZNUM = "GZNUM";   //故障台数（明细）
    public static final String HJSLNUM = "HJSLNUM";   //环境受累台数（明细）
    public static final String JXNUM = "JXNUM";   //检修台数（明细）
    public static final String LXNUM = "LXNUM";  //离线台数（明细）
    public static final String TJNUM = "TJNUM";  //手动停机台数（明细）
    public static final String XDJCLNUM = "XDJCLNUM";  //限电降出力台数（明细）
    public static final String XDTJNUM = "XDTJNUM";  //限电停机台数（明细）
    //六种状态
    public static final String DJTS = "DJTS";   //待机台数
    public static final String GZTJ = "GZTJ";   //故障停机台数
    public static final String TXZD = "TXZD";  //通讯中断台数
    public static final String WHTJ = "WHTJ";  //维护停机台数
    public static final String XDTS = "XDTS";  //限电台数
    public static final String YXTS = "YXTS";  //运行台数
    public static final String SLTS = "SLTS";  //受累台数

    public static final String ZSGL = "ZSGL";//风机自算功率
    public static final String ZZSGL = "ZZSGL";//场站自算功率
    public static final String BZGL = "BZGL";//风机保证功率
    public static final String ZBZGL = "ZBZGL";//场站保证功率

    //风机日损失电量
    public static final String WTRDJSSDL = "RDJSSDL-ZS";  //待机损失电量
    public static final String WTRSTSSDL = "RSTSSDL-ZS"; //手动停机损失电量
    public static final String WTRXNSSDL = "RXNSSDL-ZS"; //性能损失电量
    public static final String WTRQXSSDL = "RQXSSDL-ZS";//降出力损失电量

    public static final String WTRGZSSDL = "RGZSSDL-ZS"; //故障损失电量
    public static final String WTRSZSSDL = "RSZSSDL-ZS"; //受累故障损失电量

    public static final String WTRJXSSDL = "RJXSSDL-ZS";//维护损失电量
    public static final String WTRLZSSDL = "RLZSSDL-ZS";//受累检修损失电量

    public static final String WTRQFSSDL = "RQFSSDL-ZS";//限电欠发损失电量
    public static final String WTRXDSSDL = "RXDSSDL-ZS";//限电损失电量

    public static final String WTRWZSSDL = "RWZSSDL-ZS";//电网受累
    public static final String WTRTZSSDL = "RTZSSDL-ZS";//天气受累


    public static final String GZSSDL = "GZSSDL";  //故障损失电量
    public static final String WHSSDL = "WHSSDL"; //维护损失电量
    public static final String XNSSDL = "XNSSDL"; //性能损失电量
    public static final String XDSSDL = "XDSSDL";//限电损失电量
    public static final String SLSSDL = "SLSSDL";//受累损失电量
    //风机月损失电量
    public static final String WTYDJSSDL = "YDJSSDL-ZS";  //待机损失电量
    public static final String WTYSTSSDL = "YSTSSDL-ZS"; //手动停机损失电量
    public static final String WTYXNSSDL = "YXNSSDL-ZS"; //性能损失电量
    public static final String WTYQXSSDL = "YQXSSDL-ZS";//降出力损失电量

    public static final String WTYGZSSDL = "YGZSSDL-ZS"; //故障损失电量
    public static final String WTYSZSSDL = "YSZSSDL-ZS"; //受累故障损失电量

    public static final String WTYJXSSDL = "YJXSSDL-ZS";//维护损失电量
    public static final String WTYLZSSDL = "YLZSSDL-ZS";//受累检修损失电量

    public static final String WTYQFSSDL = "YQFSSDL-ZS";//限电欠发损失电量
    public static final String WTYXDSSDL = "YXDSSDL-ZS";//限电损失电量

    public static final String WTYWZSSDL = "YWZSSDL-ZS";//电网受累
    public static final String WTYTZSSDL = "YTZSSDL-ZS";//天气受累
    //风机年损失电量
    public static final String WTNDJSSDL = "NDJSSDL-ZS";  //待机损失电量
    public static final String WTNSTSSDL = "NSTSSDL-ZS"; //手动停机损失电量
    public static final String WTNXNSSDL = "NXNSSDL-ZS"; //性能损失电量
    public static final String WTNQXSSDL = "NQXSSDL-ZS";//降出力损失电量

    public static final String WTNGZSSDL = "NGZSSDL-ZS"; //故障损失电量
    public static final String WTNSZSSDL = "NSZSSDL-ZS"; //受累故障损失电量

    public static final String WTNJXSSDL = "NJXSSDL-ZS";//维护损失电量
    public static final String WTNLZSSDL = "NLZSSDL-ZS";//受累检修损失电量

    public static final String WTNQFSSDL = "NQFSSDL-ZS";//限电欠发损失电量
    public static final String WTNXDSSDL = "NXDSSDL-ZS";//限电损失电量

    public static final String WTNWZSSDL = "NWZSSDL-ZS";//电网受累
    public static final String WTNTZSSDL = "NTZSSDL-ZS";//天气受累

    //场站日五损
    public static final String RSDJZSDL = "RSDJZSDL";  //待机损失电量
    public static final String RSSTZSDL = "RSSTZSDL"; //手动停机损失电量
    public static final String RXNZSDL = "RXNZSDL"; //性能损失电量
    public static final String RSQXZSDL = "RSQXZSDL";//降出力损失电量
    public static final String RGZZSDL = "RGZZSDL"; //故障损失电量
    public static final String RSZZSDL = "RSZZSDL"; //受累故障损失电量
    public static final String RJXZSDL = "RJXZSDL";//维护损失电量
    public static final String RLZZSDL = "RLZZSDL";//受累检修损失电量
    public static final String RQFZSDL = "RQFZSDL";//限电欠发损失电量
    public static final String RXDZSDL = "RXDZSDL";//限电损失电量
    public static final String RWZZSDL = "RWZZSDL";//电网受累
    public static final String RTZZSDL = "RTZZSDL";//天气受累
    //场站月五损
    public static final String YSDJZSDL = "YSDJZSDL";  //待机损失电量
    public static final String YSSTZSDL = "YSSTZSDL"; //手动停机损失电量
    public static final String YXNZSDL = "YXNZSDL"; //性能损失电量
    public static final String YSQXZSDL = "YSQXZSDL";//降出力损失电量
    public static final String YGZZSDL = "YGZZSDL"; //故障损失电量
    public static final String YSZZSDL = "YSZZSDL"; //受累故障损失电量
    public static final String YJXZSDL = "YJXZSDL";//维护损失电量
    public static final String YLZZSDL = "YLZZSDL";//受累检修损失电量
    public static final String YQFZSDL = "YQFZSDL";//限电欠发损失电量
    public static final String YXDZSDL = "YXDZSDL";//限电损失电量
    public static final String YWZZSDL = "YWZZSDL";//电网受累
    public static final String YTZZSDL = "YTZZSDL";//天气受累
    //场站年五损
    public static final String NSDJZSDL = "NSDJZSDL";  //待机损失电量
    public static final String NSSTZSDL = "NSSTZSDL"; //手动停机损失电量
    public static final String NXNZSDL = "NXNZSDL"; //性能损失电量
    public static final String NSQXZSDL = "NSQXZSDL";//降出力损失电量
    public static final String NGZZSDL = "NGZZSDL"; //故障损失电量
    public static final String NSZZSDL = "NSZZSDL"; //受累故障损失电量
    public static final String NJXZSDL = "NJXZSDL";//维护损失电量
    public static final String NLZZSDL = "NLZZSDL";//受累检修损失电量
    public static final String NQFZSDL = "NQFZSDL";//限电欠发损失电量
    public static final String NXDZSDL = "NXDZSDL";//限电损失电量
    public static final String NWZZSDL = "NWZZSDL";//电网受累
    public static final String NTZZSDL = "NTZZSDL";//天气受累

    //欠发发电量
    public static final String R0QFZT = "R0QFZT";
    public static final String R1QFZT = "R1QFZT";
    public static final String R2QFZT = "R2QFZT";
    public static final String R3QFZT = "R3QFZT";
    public static final String R4QFZT = "R4QFZT";

    //节能减排
    public static final String JPEYHL = "JPEYHL";   //减排二氧化硫
    public static final String JPEYHT = "JPEYHT";   //减排二氧化碳
    public static final String JYBM = "JYBM";   //节约标煤
    public static final String JYS = "JYS";   //节约用水


    public static final String TPOINT_WP_XDTS = "XDTS";// 限电台数
    public static final String TPOINT_WP_YXTS = "YXTS";// 运行台数
    public static final String TPOINT_WP_DJTS = "DJTS"; // 待机台数
    public static final String TPOINT_WP_WHTJ = "WHTJ";// 维护台数
    public static final String TPOINT_WP_GZTJ = "GZTJ";// 故障台数
    public static final String TPOINT_WP_TXZD = "TXZD";// 离线台数
    public static final String TPOINT_WP_DWSLTS = "DWSLNUM";// 受累台数
    public static final String TPOINT_WP_HJSLTS = "HJSLNUM";// 受累台数
    public static final String TPOINT_WT_YCGL = "FCFGCDQ0001";// 预测功率
    public static final String TPOINT_WP_BZGL = "ZBZGL";// 保证功率
    public static final String TPOINT_WP_YFGL = "ZZSGL";// 应发功率
    public static final String TPOINT_WP_SJGL = "SSZGL";// 实际功率
    public static final String TPOINT_WP_AGC = "AGC002";// agc
    public static final String TPOINT_WP_CXGL = "AGC001";// 出线功率SSFS
    public static final String TPOINT_WP_SSFS = "SSFS";// 实时风速


    public static final String TPOINT_WP_DJNUM = "DJNUM"; //待机明细

    public static final String TPOINT_WP_MATRIX = "XDTS,YXTS,DJTS,WHTJ,GZTJ,TXZD,SSFS,SLTS,FCFGCDQ0001,ZBZGL,ZZSGL,SSZGL,AGC002,AGC001";


    public static final String TPOINT_WT_FJZT = "FJZT";

    public static final String XDSL = "XDSL"; //限电受累

    public static final String XDZT = "XDZT"; //限电状态

    public static final String XCLZT = "XCLZT"; //限出力状态

    //  DI11139 DI10923
    public static final String DI11139 = "DI11139";
    public static final String DI10923 = "DI10923";

    public static final String LLGL = "LLGL"; //理论功率


    public static final String ZHGL = "ZHGL"; //最优功率

    public static final String RKYDL = "RKYDL"; //日可用电量
    public static final String RFDLC = "RFDLC"; //日理论发电量


    public static final String GZZT = "GZZT"; //故障状态
}
