package com.gyee.common.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author 谢生杰
 * @since 2022-09-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("HEALTHCONFIG")
public class Healthconfig extends Model {

    private static final long serialVersionUID = 1L;

    @TableField("ID")
    private String id;

    @TableField("WPID")
    private String wpid;

    @TableField("WPNAME")
    private String wpname;

    @TableField("MODELID")
    private String modelid;

    @TableField("NAME")
    private String name;

    @TableField("FORMULA")
    private String formula;

    @TableField("FORMULAMAX")
    private String formulamax;

    @TableField("FORMULASCORE")
    private Double formulascore;


}
