package com.gyee.common.vo.benchmark;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName : FjjxbVo
 * @Author : xieshengjie
 * @Date: 2021/6/16 10:55
 * @Description : 风机绩效榜vo
 */
@Data
public class FjjxbVo implements Serializable {
    private static final long serialVersionUID = -8275715166269543409L;

    private String id;   //id
    private String name;   //名称
    private Double llfdl;   //理论发电量
    private Double sjfdl;   //实际发电量
    private Double speed;  //风速
    private Double fjhjx;   //非计划（故障）
    private Double jhjx;  //计划（维护）
    private Double sl;  //受累
    private Double xd;  //限电
    private Double xn;  //性能
    private Double fnlly;   //风能利用率
    private Double point;
    private Integer ordernum;
}
