package com.gyee.common.vo.benchmark;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName : FjjxbmxVo
 * @Author : xieshengjie
 * @Date: 2021/6/16 14:19
 * @Description : 风机绩效榜明细vo
 */
@Data
public class FjjxbmxVo implements Serializable {
    private static final long serialVersionUID = 4129930226114546977L;

    private String id;   //id
    private String name;   //名称
    private Double llfdl;  //理论发电量
    private Double sjfdl;  //实际发电量
    private Double speed;   //风速
    private Double fjhjx1;  //故障损失
    private Double fjhjx2;  //故障受累
    private Double jhjx1;   //检修损失
    private Double jhjx2;  //检修受累
    private Double sl1;   //电网受累
    private Double sl2;   //天气受累
    private Double xd1;    //限电降出
    private Double xd2;   //限电停机
    private Double xn1;   //待机损失
    private Double xn2;   //手动停机
    private Double xn3;   //正常发电
    private Double xn4;   //缺陷降出
    private Double fnlly;   //风能利用率
    private Double point;
    private Integer ordernum;
}
