package com.gyee.common.vo.benchmark;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName : Operation
 * @Author : xieshengjie
 * @Date: 2021/1/18 16:10
 * @Description : 操作model
 */
@Data
public class Operation implements Serializable {

    private static final long serialVersionUID = 1L;

    private String nameOfDuty;  //值班名称
    private Integer startCount;//启动
    private Integer stopCount;//停机
    private Integer resetCount;//复位
    private Integer maintainCount;//维护
    private Integer unmaintainCount;//取消维护
    private Integer gpmaintainCount;//挂牌检修
    private Integer gpfaultCount;//挂牌故障维修
    private Integer gponsiteinvolvementMaintainCount;//挂牌场内受累检修
    private Integer gponsiteinvolvementFaultCount;//挂牌场内受累故障
    private Integer gpoffsiteaffectedgridCount;//挂牌场外受累电网
    private Integer gpweatherOutsideCount;//挂牌场外受累天气
    private Integer ungpCount;//取消挂牌

}
