package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconInterruption;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 根据风电机状态判断通讯中断并记录。 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-27
 */
public interface ProEconInterruptionMapper extends BaseMapper<ProEconInterruption> {

    @Update("update pro_econ_interruption   set start_time=#{start_time},stop_hours=#{stop_hours}  where id=#{id}")
    public int updateInterruption(@Param(value = "start_time") Date start_time,
                                  @Param(value = "stop_hours") Double stop_hours, @Param(value = "id") Long id);
}
