package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconShutdownEvent;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 停机事件 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-27
 */
public interface ProEconShutdownEventMapper extends BaseMapper<ProEconShutdownEvent> {

    @Update("update pro_econ_shutdown_event   set start_time=#{start_time},loss_power=#{loss_power},stop_hours=#{stop_hours}  where id=#{id}")
    public int updateShutdownevent(@Param(value = "start_time") Date start_time, @Param(value = "loss_power") Double loss_power,
                                   @Param(value = "stop_hours") Double stop_hours, @Param(value = "id") String id);
}
