package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFitting;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconWtCurveFittingMapper extends BaseMapper<ProEconWtCurveFitting> {

    @Delete(" delete from pro_econ_wt_curve_fitting where record_date=#{recordDate} and windturbine_id in (${wtIds})  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconWtCurveFittingFByDay(@Param(value = "recordDate") Date recordDate, @Param(value = "wtIds") String wtIds);

    @Delete(" delete from pro_econ_wt_curve_fitting where record_date=#{recordDate} AND  windturbine_id like '%_G_%' ")
    public int deleteProEconWtCurveFittingGByDay(@Param(value = "recordDate") Date recordDate);

}
