package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFittingYear;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机年拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
public interface ProEconWtCurveFittingYearMapper extends BaseMapper<ProEconWtCurveFittingYear> {

    @Delete(" delete from pro_econ_wt_curve_fitting_year where year=#{year}  and windturbine_id in (${wtIds})  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconWtCurveFittingFByYear(@Param(value = "year") String year, @Param(value = "wtIds") String wtIds);

    @Delete(" delete from pro_econ_wt_curve_fitting_year where year=#{year} AND  windturbine_id like '%_G_%' ")
    public int deleteProEconWtCurveFittingGByYear(@Param(value = "year") String year);
}
