package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xujuanning
 * @since 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pro_base_backfill")
public class ProBaseBackfill implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 测点
     */
    @TableField("code")
    private String code;

    /**
     * 场站
     */
    @TableField("station")
    private String station;

    /**
     * 推送/自建
     */
    @TableField("type")
    private String type;

    /**
     * 定时推送
     */
    @TableField("scheduled_push")
    private Boolean scheduledPush;

    /**
     * 推送时间
     */
    @TableField("push_time")
    private String pushTime;

    /**
     * 任务描述
     */
    @TableField("task_description")
    private String taskDescription;

    /**
     * 运行模式
     */
    @TableField("operating_mode")
    private String operatingMode;


}
