package com.gyee.generation.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDate;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 主变表
 * </p>
 *
 * @author shilin
 * @since 2023-01-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicMaintransformer extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 装机容量
     */
    private BigDecimal capacity;

    /**
     * 容量单位
     */
    private String capacityUnit;

    /**
     * 装机数量
     */
    private Integer quantity;

    /**
     * 机型
     */
    private String model;

    /**
     * 投产日期
     */
    private LocalDate commissionDate;

    /**
     * 主控电话
     */
    private String masterPhone;

    /**
     * 值长
     */
    private String shiftforeMan;

    /**
     * 值长电话
     */
    private String shiftforeManPhone;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
