package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.gyee.common.util.DoubleUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 场站表
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicPowerstation extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String telephone;

    private Double windCapacity;

    private String windCapacityUnit;

    private Integer windQuantityHs;

    private Integer windQuantityLd;

    private Double capacity;

    private String capacityUnit;

    private Integer quantityJz;

    private Integer quantityZc;

    private Double jrwindCapacity;

    private String jrwindCapacityUnit;

    private Integer jrwindQuantityHs;

    private Integer jrwindQuantityLd;

    private Double jrCapacity;

    private String jrCapacityUnit;

    private Integer jrquantityJz;

    private Integer jrquantityZc;


    /**
     * 别名
     */
    private String aname;

    /**
     * 地球经度
     */
    private Double longitude;

    /**
     * 地球纬度
     */
    private Double latitude;

    /**
     * 图片
     */
    private String photo;

    /**
     * 系统厂家
     */
    private String systemManufact;

    /**
     * 场长
     */
    private String headfarm;

    /**
     * 场长电话
     */
    private String headfarmPhone;

    /**
     * 机型
     */
    private String model;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 海拔高度
     */
    private Double height;

    /**
     * 场站类型
     */
    private String windType;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 集团编号
     */
    private String groupId;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;

    private Double appCapacity;
    private Double conCapacity;
    private Double gridCapacity;
    private Double hoiCapacity;
    private Date firstGridTime;
    private Date wholeGridTime;
    private Double anemoNumber;
    private Double stationNumber;


}
