package com.gyee.generation.model.auto;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 工程表
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicProject extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 装机容量
     */
    private Double capacity;

    /**
     * 容量单位
     */
    private String capacityUnit;

    /**
     * 装机数量
     */
    private Integer quantity;

    /**
     * 机型
     */
    private String model;

    /**
     * 投产日期
     */
    private Date commissionDate;

    /**
     * 主控电话
     */
    private String masterPhone;

    /**
     * 值长
     */
    private String shiftforeMan;

    /**
     * 值长电话
     */
    private String shiftforeManPhone;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 变电所ID
     */
    private String windsubStationId;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
