package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 工程计划表
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicProjectPlan extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 计划发电量
     */
    private Double generatingCapacity;

    /**
     * 计划停运小时
     */
    private Double outageHours;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 场站编号（冗余）
     */
    private String windpowerstationId;


}
