package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风机绩效榜
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentDayInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 项目
     */
    private String projectId;

    /**
     * 线路
     */
    private String lineId;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 发电量
     */
    private Double genecapacity;

    /**
     * 理论发电量
     */
    private Double therogenecapacity;

    /**
     * 风速
     */
    private Double speed;

    /**
     * 维护损失电量
     */
    private Double daynhwhssdl;

    /**
     * 故障损失电量
     */
    private Double daynhgzssdl;

    /**
     * 限电损失电量
     */
    private Double daynhxdssdl;

    /**
     * 性能损失电量
     */
    private Double daynhqfdl;

    /**
     * 受累损失电量
     */
    private Double daynhcfdl;


}
