package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 切入切出风速整合２
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInOrOutSpeedTotal2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 日小于2风次数（小风切入）
     */
    private Double daya1;

    /**
     * 日2-2.5风次数（小风切入）
     */
    private Double daya2;

    /**
     * 日2.5-3风次数（小风切入）
     */
    private Double daya3;

    /**
     * 日3-3.5风次数（小风切入）
     */
    private Double daya4;

    /**
     * 日3.5-4风次数（小风切入）
     */
    private Double daya5;

    /**
     * 日4-5风次数（小风切入）
     */
    private Double daya6;

    /**
     * 日大于5风次数（小风切入）
     */
    private Double daya7;

    /**
     * 日小于2风频率（小风切入）
     */
    private Double daya8;

    /**
     * 日2-2.5风频率（小风切入）
     */
    private Double daya9;

    /**
     * 日2.5-3风频率（小风切入）
     */
    private Double daya10;

    /**
     * 日3-3.5风频率（小风切入）
     */
    private Double daya11;

    /**
     * 日3.5-4风频率（小风切入）
     */
    private Double daya12;

    /**
     * 日4-5风频率（小风切入）
     */
    private Double daya13;

    /**
     * 日大于5风频率（小风切入）
     */
    private Double daya14;

    /**
     * 日小于2风次数（小风切出）
     */
    private Double dayb1;

    /**
     * 日2-2.5风次数（小风切出）
     */
    private Double dayb2;

    /**
     * 日2.5-3风次数（小风切出）
     */
    private Double dayb3;

    /**
     * 日3-3.5风次数（小风切出）
     */
    private Double dayb4;

    /**
     * 日3.5-4风次数（小风切出）
     */
    private Double dayb5;

    /**
     * 日4-5风次数（小风切出）
     */
    private Double dayb6;

    /**
     * 日大于5风次数（小风切出）
     */
    private Double dayb7;

    /**
     * 日小于2风频率（小风切出）
     */
    private Double dayb8;

    /**
     * 日2-2.5风频率（小风切出）
     */
    private Double dayb9;

    /**
     * 日2.5-3风频率（小风切出）
     */
    private Double dayb10;

    /**
     * 日3-3.5风频率（小风切出）
     */
    private Double dayb11;

    /**
     * 日3.5-4风频率（小风切出）
     */
    private Double dayb12;

    /**
     * 日4-5风频率（小风切出）
     */
    private Double dayb13;

    /**
     * 日大于5风频率（小风切出）
     */
    private Double dayb14;

    /**
     * 月小于2风次数（小风切入）
     */
    private Double montha1;

    /**
     * 月2-2.5风次数（小风切入）
     */
    private Double montha2;

    /**
     * 月2.5-3风次数（小风切入）
     */
    private Double montha3;

    /**
     * 月3-3.5风次数（小风切入）
     */
    private Double montha4;

    /**
     * 月3.5-4风次数（小风切入）
     */
    private Double montha5;

    /**
     * 月4-5风次数（小风切入）
     */
    private Double montha6;

    /**
     * 月大于5风次数（小风切入）
     */
    private Double montha7;

    /**
     * 月小于2风频率（小风切入）
     */
    private Double montha8;

    /**
     * 月2-2.5风频率（小风切入）
     */
    private Double montha9;

    /**
     * 月2.5-3风频率（小风切入）
     */
    private Double montha10;

    /**
     * 月3-3.5风频率（小风切入）
     */
    private Double montha11;

    /**
     * 月3.5-4风频率（小风切入）
     */
    private Double montha12;

    /**
     * 月4-5风频率（小风切入）
     */
    private Double montha13;

    /**
     * 月大于5风频率（小风切入）
     */
    private Double montha14;

    /**
     * 月小于2风次数（小风切出）
     */
    private Double monthb1;

    /**
     * 月2-2.5风次数（小风切出）
     */
    private Double monthb2;

    /**
     * 月2.5-3风次数（小风切出）
     */
    private Double monthb3;

    /**
     * 月3-3.5风次数（小风切出）
     */
    private Double monthb4;

    /**
     * 月3.5-4风次数（小风切出）
     */
    private Double monthb5;

    /**
     * 月4-5风次数（小风切出）
     */
    private Double monthb6;

    /**
     * 月大于5风次数（小风切出）
     */
    private Double monthb7;

    /**
     * 月小于2风频率（小风切出）
     */
    private Double monthb8;

    /**
     * 月2-2.5风频率（小风切出）
     */
    private Double monthb9;

    /**
     * 月2.5-3风频率（小风切出
     */
    private Double monthb10;

    /**
     * 月3-3.5风频率（小风切出）
     */
    private Double monthb11;

    /**
     * 月3.5-4风频率（小风切出）
     */
    private Double monthb12;

    /**
     * 月4-5风频率（小风切出）
     */
    private Double monthb13;

    /**
     * 月大于5风频率（小风切出）
     */
    private Double monthb14;

    /**
     * 年小于2风次数（小风切入）
     */
    private Double yeara1;

    /**
     * 年2-2.5风次数（小风切入）
     */
    private Double yeara2;

    /**
     * 年2.5-3风次数（小风切入）
     */
    private Double yeara3;

    /**
     * 年3-3.5风次数（小风切入）
     */
    private Double yeara4;

    /**
     * 年3.5-4风次数（小风切入）
     */
    private Double yeara5;

    /**
     * 年4-5风次数（小风切入）
     */
    private Double yeara6;

    /**
     * 年大于5风次数（小风切入）
     */
    private Double yeara7;

    /**
     * 年小于2风频率（小风切入）
     */
    private Double yeara8;

    /**
     * 年2-2.5风频率（小风切入）
     */
    private Double yeara9;

    /**
     * 年2.5-3风频率（小风切入）
     */
    private Double yeara10;

    /**
     * 年3-3.5风频率（小风切入）
     */
    private Double yeara11;

    /**
     * 年3.5-4风频率（小风切入）
     */
    private Double yeara12;

    /**
     * 年4-5风频率（小风切入）
     */
    private Double yeara13;

    /**
     * 年大于5风频率（小风切入）
     */
    private Double yeara14;

    /**
     * 年小于2风次数（小风切出）
     */
    private Double yearb1;

    /**
     * 年2-2.5风次数（小风切出）
     */
    private Double yearb2;

    /**
     * 年2.5-3风次数（小风切出）
     */
    private Double yearb3;

    /**
     * 年3-3.5风次数（小风切出）
     */
    private Double yearb4;

    /**
     * 年3.5-4风次数（小风切出）
     */
    private Double yearb5;

    /**
     * 年4-5风次数（小风切出）
     */
    private Double yearb6;

    /**
     * 年大于5风次数（小风切出）
     */
    private Double yearb7;

    /**
     * 年小于2风频率（小风切出）
     */
    private Double yearb8;

    /**
     * 年2-2.5风频率（小风切出）
     */
    private Double yearb9;

    /**
     * 年2.5-3风频率（小风切出）
     */
    private Double yearb10;

    /**
     * 年3-3.5风频率（小风切出）
     */
    private Double yearb11;

    /**
     * 年3.5-4风频率（小风切出）
     */
    private Double yearb12;

    /**
     * 年4-5风频率（小风切出）
     */
    private Double yearb13;

    /**
     * 年大于5风频率（小风切出）
     */
    private Double yearb14;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;
    private String companyId;
    private String types;
    private String regionId;
}
