package com.gyee.generation.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 光伏辐照录入表
 * </p>
 *
 * @author shilin
 * @since 2023-11-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconIrradiationInput extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 测点编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 实时库名称
     */
    private String aname;

    /**
     * 单位
     */
    private String valueUnit;

    /**
     * 类型编号
     */
    private String typeId;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 场站编号
     */
    private String windpowerstationId;

    /**
     * 系数
     */
    private BigDecimal coefficient;


}
