package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 逻辑部件
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconLogicalUnit extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 拼音编码
     */
    private String pycode;

    /**
     * 规格类型
     */
    private String specificationType;

    /**
     * 父编号
     */
    private String parentId;

    /**
     * 图片
     */
    private String photo;

    /**
     * 逻辑设备编号
     */
    private String equipmentId;

    /**
     * 型号编号
     */
    private String modelId;


}
