package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电计量点值表
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconMeterPointValue extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Integer id;

    /**
     * 时间
     */
    private Date recordDate;

    /**
     * 电计量编号
     */
    private String meterId;

    /**
     * 年初底码
     */
    private Double year;

    /**
     * 月初底码
     */
    private Double month;

    /**
     * 昨日底码
     */
    private Double day;

    /**
     * 当日底码
     */
    private Double now;

    /**
     * 总值
     */
    private Double totalValue;

    /**
     * 年值
     */
    private Double yearValue;

    /**
     * 月值
     */
    private Double monthValue;

    /**
     * 日值
     */
    private Double dayValue;

    /**
     * 年初底码2
     */
    private Double year4;

    /**
     * 月初底码2
     */
    private Double month4;

    /**
     * 昨日底码2
     */
    private Double day4;

    /**
     * 当日底码2
     */
    private Double now4;


}
