package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author shilin
 * @since 2023-02-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconStaOriginalIndex extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 场站、项目、线路等
     */
    private String location;

    /**
     * 场站、项目、线路等编号
     */
    private String foreignKeyId;

    /**
     * 场站、项目、线路等名称
     */
    private String foreignName;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 指标编号
     */
    private String targetid;

    /**
     * 指标名称
     */
    private String targetname;

    /**
     * 指标类型
     */
    private String targettype;

    /**
     * 计算值
     */
    private Double targetvalue;

    /**
     * 修正值
     */
    private Double targetvaluemod;


}
