package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 状态转换及时率子表
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconStateTranRatesSub extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Integer id;

    /**
     * 风场编号
     */
    private String windpwoerId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 起始时间
     */
    private Date startTime;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 持续小时数
     */
    private Double durationHours;

    /**
     * 平均风速
     */
    private Double speed;

    /**
     * 最大风速
     */
    private Double maxSpeed;

    /**
     * 最小风速
     */
    private Double minSpeed;

    /**
     * 持续状态
     */
    private Integer statusCode;

    /**
     * 持续状态小时
     */
    private Double statusHours;

    /**
     * 持续状态开始时间
     */
    private Date statusBegin;

    /**
     * 持续状态结束时间
     */
    private Date statusEnd;

    /**
     * 改变状态
     */
    private Integer statusCode2;

    /**
     * 改变状态小时
     */
    private Double statusHours2;

    /**
     * 改变状态开始时间
     */
    private Date statusBegin2;

    /**
     * 改变状态结束时间
     */
    private Date statusEnd2;

    /**
     * 及时时间
     */
    private Double resetRate;


}
