package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报警等级
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWarningLevel extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 级别
     */
    private Integer levels;

    /**
     * 颜色
     */
    private String color;

    /**
     * 图标
     */
    private String icon;

    /**
     * 描述
     */
    private String decription;

    /**
     * 声音
     */
    private String sound;


}
