package com.gyee.generation.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xujuanning
 * @since 2024-10-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("station_info_hour")
public class StationInfoHour implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 时间
     */
    private LocalDateTime recordDate;

    /**
     * 场站名称
     */
    private String wpid;

    /**
     * 测点
     */
    private String meterId;

    /**
     * 测点描述
     */
    private String meterName;

    /**
     * 数值
     */
    private BigDecimal code;

    /**
     * 测点参考值
     */
    private BigDecimal codeModify;

}
