package com.gyee.generation.model.vo;


import lombok.Data;

import java.sql.Timestamp;

@Data
public class AlarmVo {

    private String tbName;
    private String alarmid;
    private String alarmtype;
    private String characteristic;
    private String components;
    private Boolean confirmed;
    private String description;
    private String deviceid;
    private String devicename;
    private String devicetype;
    private Boolean enabled;
    private String lineid;
    private String linename;
    private String modelId;
    private String projectid;
    private String projectname;
    private Integer rank;
    private Boolean resettable;
    private String stationid;
    private String stationname;
    private String subcomponents;
    private String suffix;
    private String tagid;
    private Integer triggertype;
    private String uniformcode;
    private String superTableName;

    private Timestamp ts;
    private Integer val;
    private Integer oval;

    private Timestamp endts;

    private Double timelong;

    /**
     * 故障名称
     */
    private String name;

    /**
     * 故障码
     */
    private String nemCode;

    /**
     * 故障原因
     */
    private String faultCause;

    /**
     * 排查方法
     */
    private String resolvent;

}
