package com.gyee.generation.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SLWindpowerVo {

    public String windPowerID;
    //进线断路器
    public Map<String, List<String>> lINECODE;
    //主变低压测
    public Map<String, List<String>> nETLOWCODE;
    //主变高压侧
    public Map<String, List<String>> nETHIGHCODE;
    //出线
    public Map<String, List<String>> nETOUTCODE;
    //母线电流
    public Map<String, String> pTCURRENTCODE;
    //母线电压
    public Map<String, String> pTVOLTAGECODE;
    //母线电压高
    public Map<String, Double> pTVOLTAGEHIGH;
    //母线电压低
    public Map<String, Double> pTVOLTAGELOW;
    //母线电电流
    public Map<String, Double> pTCURRENT;

    //事故
    public Map<String, List<String>> aCCIDENTSIGNAL;
}
