package com.gyee.generation.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.generation.model.auto.ProEconBrownoutsEvent;

import java.util.Date;

/**
 * <p>
 * 与停机事件关联（限电停机时），数据库中无关联，程序控制 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface IProEconBrownoutsEventService extends IService<ProEconBrownoutsEvent> {

    public int updateBrownouts(Date start_time, Double loss_power, Double stop_hours, String id);
}
