package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconCurveFittingMainMapper;
import com.gyee.generation.model.auto.ProEconCurveFittingMain;
import com.gyee.generation.service.auto.IProEconCurveFittingMainService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线主表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconCurveFittingMainServiceImpl extends ServiceImpl<ProEconCurveFittingMainMapper, ProEconCurveFittingMain> implements IProEconCurveFittingMainService {


    @Resource
    private ProEconCurveFittingMainMapper proEconCurveFittingMainMapper;

    @Override
    public int deleteProEconCurveFittingMainFByDay(Date recodedate, String wtIds) {
        return proEconCurveFittingMainMapper.deleteProEconCurveFittingMainFByDay(recodedate, wtIds);
    }

    @Override
    public int deleteProEconCurveFittingMainGByDay(Date recodedate) {
        return proEconCurveFittingMainMapper.deleteProEconCurveFittingMainGByDay(recodedate);
    }
}
