package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconCurveFittingSubMapper;
import com.gyee.generation.model.auto.ProEconCurveFittingSub;
import com.gyee.generation.service.auto.IProEconCurveFittingSubService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线子表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconCurveFittingSubServiceImpl extends ServiceImpl<ProEconCurveFittingSubMapper, ProEconCurveFittingSub> implements IProEconCurveFittingSubService {


    @Resource
    private ProEconCurveFittingSubMapper proEconCurveFittingSubMapper;

    @Override
    public int deleteProEconCurveFittingSubFByDay(Date recodedate, String wtIds) {
        return proEconCurveFittingSubMapper.deleteProEconCurveFittingSubFByDay(recodedate, wtIds);
    }

    @Override
    public int deleteProEconCurveFittingSubGByDay(Date recodedate) {
        return proEconCurveFittingSubMapper.deleteProEconCurveFittingSubGByDay(recodedate);
    }
}
