package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconInterruptionMapper;
import com.gyee.generation.model.auto.ProEconInterruption;
import com.gyee.generation.service.auto.IProEconInterruptionService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 根据风电机状态判断通讯中断并记录。 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-27
 */
@Service
public class ProEconInterruptionServiceImpl extends ServiceImpl<ProEconInterruptionMapper, ProEconInterruption> implements IProEconInterruptionService {

    @Resource
    private ProEconInterruptionMapper proEconInterruptionMapper;

    public int updateInterruption(Date start_time, Double stop_hours, Long id) {
        int i = 0;
        i = proEconInterruptionMapper.updateInterruption(start_time, stop_hours, id);
        return i;
    }

}
