package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconWtCurveFittingMonthMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFittingMonth;
import com.gyee.generation.service.auto.IProEconWtCurveFittingMonthService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机月拟合曲线 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconWtCurveFittingMonthServiceImpl extends ServiceImpl<ProEconWtCurveFittingMonthMapper, ProEconWtCurveFittingMonth> implements IProEconWtCurveFittingMonthService {
    @Resource
    private ProEconWtCurveFittingMonthMapper proEconWtCurveFittingMonthMapper;

    @Override
    public int deleteProEconWtCurveFittingFByMonth(String year, String month, String wtIds) {

        return proEconWtCurveFittingMonthMapper.deleteProEconWtCurveFittingFByMonth(year, month, wtIds);
    }

    @Override
    public int deleteProEconWtCurveFittingGByMonth(String year, String month) {

        return proEconWtCurveFittingMonthMapper.deleteProEconWtCurveFittingGByMonth(year, month);
    }
}
