package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconWtCurveFittingMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFitting;
import com.gyee.generation.service.auto.IProEconWtCurveFittingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconWtCurveFittingServiceImpl extends ServiceImpl<ProEconWtCurveFittingMapper, ProEconWtCurveFitting> implements IProEconWtCurveFittingService {


    @Resource
    private ProEconWtCurveFittingMapper proEconWtCurveFittingMapper;

    @Override
    public int deleteProEconWtCurveFittingFByDay(Date recodedate, String wtIds) {
        return proEconWtCurveFittingMapper.deleteProEconWtCurveFittingFByDay(recodedate, wtIds);
    }

    @Override
    public int deleteProEconWtCurveFittingGByDay(Date recodedate) {
        return proEconWtCurveFittingMapper.deleteProEconWtCurveFittingGByDay(recodedate);
    }
}
