package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconWtCurveFittingYearMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFittingYear;
import com.gyee.generation.service.auto.IProEconWtCurveFittingYearService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机年拟合曲线 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
@Service
public class ProEconWtCurveFittingYearServiceImpl extends ServiceImpl<ProEconWtCurveFittingYearMapper, ProEconWtCurveFittingYear> implements IProEconWtCurveFittingYearService {
    @Resource
    private ProEconWtCurveFittingYearMapper proEconWtCurveFittingYearMapper;

    @Override
    public int deleteProEconWtCurveFittingFByYear(String year, String wtIds) {
        return proEconWtCurveFittingYearMapper.deleteProEconWtCurveFittingFByYear(year, wtIds);
    }

    @Override
    public int deleteProEconWtCurveFittingGByYear(String year) {
        return proEconWtCurveFittingYearMapper.deleteProEconWtCurveFittingGByYear(year);
    }
}
