package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconWtPowerCurveFittingMapper;
import com.gyee.generation.model.auto.ProEconWtPowerCurveFitting;
import com.gyee.generation.service.auto.IProEconWtPowerCurveFittingService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机功率拟合曲线 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconWtPowerCurveFittingServiceImpl extends ServiceImpl<ProEconWtPowerCurveFittingMapper, ProEconWtPowerCurveFitting> implements IProEconWtPowerCurveFittingService {

    @Resource
    private ProEconWtPowerCurveFittingMapper proEconWtPowerCurveFittingMapper;

    @Override
    public int deleteProEconWtPowerCurveFitting() {
        return proEconWtPowerCurveFittingMapper.deleteProEconWtPowerCurveFitting();
    }
}
