package com.gyee.generation.util.realtimesource;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 读取项目相关配置
 *
 * @author gyee
 */

@Configuration
@ConfigurationProperties(prefix = "golden")
public class GoldenConfig {
    private static String baseURL;

    public static String getBaseurl() {
        return baseURL;
    }

    public void setBaseurl(String baseURL) {
        GoldenConfig.baseURL = baseURL;
    }
}


