package com.gyee.runeconomy.controller;


import com.gyee.runeconomy.dto.AjaxResult;
import com.gyee.runeconomy.service.auto.IProEconReportIndicatorPoolService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 报表指标池 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-11-17
 */
@RestController
@RequestMapping("//pro-econ-report-indicator-pool")
@Api(value = "指标写入", tags = "指标写入")
public class ProEconReportIndicatorPoolController {

    @Resource
    private IProEconReportIndicatorPoolService poolService;

    @GetMapping("/pool")
    @ResponseBody
    @ApiOperation(value = "录入", notes = "录入")

    public AjaxResult getinformation() throws Exception {

        poolService.getpool();

        return AjaxResult.success();


    }

}
