package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconCurveFittYearMain;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机年拟合曲线主表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
public interface ProEconCurveFittYearMainMapper extends BaseMapper<ProEconCurveFittYearMain> {
    @Delete(" delete from pro_econ_curve_fitt_year_main where year=#{year}")
    public int deleteProEconCurveFittYearMainByYear(@Param(value = "year") String year);
}
