package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconWtCurveFittingMonth;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机月拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconWtCurveFittingMonthMapper extends BaseMapper<ProEconWtCurveFittingMonth> {

    @Delete(" delete from pro_econ_wt_curve_fitting_month where year=#{year} and month=#{month}")
    public int deleteProEconWtCurveFittingByMonth(@Param(value = "year") String year, @Param(value = "month") String month);
}
