package com.gyee.runeconomy.model;

import com.gyee.runeconomy.service.WindDirection.Point;
import lombok.Data;

import java.util.List;

@Data
public class LineCurveFitting {

    public String name;
    public List<Point> lines;
    public List<Point> YLines;

    public List<Point> point;
    public List<Point> YPoint;

    /// <summary>
    /// 推力系数
    /// </summary>
    public List<Point> CpValue;
    /// <summary>
    /// 推力系数平均值
    /// </summary>
    public double CpAvg;
    /// <summary>
    /// 平均风速
    /// </summary>
    public double speed;

    /// <summary>
    /// 静风频率
    /// </summary>
    public double frequency;

}
