package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 气象站名称
 * </p>
 *
 * @author wang
 * @since 2023-04-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicWeatherStation extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;

    private Double capacity;


}
