package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 自定义类型
 * </p>
 *
 * @author wang
 * @since 2023-12-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconAlarmType extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 报警类别
     */
    private String category;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 类型名称
     */
    private String name;

    /**
     * 范围
     */
    private Integer orderNumber;

    /**
     * 是否启用
     */
    private Integer enable;


}
