package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 风电项目表
 * </p>
 *
 * @author wang
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconAnalysisSubprojectWindcan extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    private Long tid;

    private String projectId;

    /**
     * 场站
     */
    private String wpid;

    /**
     * 日期
     */
    private Date recordDate;

    private Double fdlscada;

    private Double fdl;

    private Double swdl;

    private Double gwdl;

    private Double zhcydl;

    private Double zhcydlscada;

    private Double zhcydll;

    private Double zhcydllscada;

    private Double cydl;

    private Double cydll;

    private Double lyxs;

    private Double lyxsscada;

    private Double zjrl;

    private Double cnsldwdl;

    private Double cnsljxdl;

    private Double cwsldwdl;

    private Double cwsljxdl;

    private Double zrzhdl;

    private Double xddl;

    private Double fjgzdl;

    private Double syzgzdl;

    private Double jdxlgzdl;

    private Double fjjxdl;

    private Double syzjxdl;

    private Double jdxljx;

    private Double cnsldwsj;

    private Double cnsljxsj;

    private Double cwsldwsj;

    private Double cwsljxsj;

    private Double zrzhsj;

    private Double xdsj;

    private Double fjgzsj;

    private Double syzgzsj;

    private Double jdxlgzsj;

    private Double fjjxsj;

    private Double syzjxsj;

    private Double jdxljxsj;

    private Double gzcs;

    private Double qfl;

    private Double qpjfx;

    private String tq;

    private Double llfdl;

    private Double llfdlscada;

    private Double dnaqts;

    private Double ljaqts;

    private Double qw;

    private Double zdcl;

    private Double zxcl;

    private String fx;

    private Double yjhfdl;

    private Double pjqrfs;

    private Double edpjfs;

    private Double ypjkqmd;

    private Double xnssdl;


}
