package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 三率
 * </p>
 *
 * @author shilin
 * @since 2022-11-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay5 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 小于3米5分钟转换及时次数
     */
    private double timerate1;

    /**
     * 小于3米10分钟转换及时次数
     */
    private double timerate2;

    /**
     * 小于3米15分钟转换及时次数
     */
    private double timerate3;

    /**
     * 小于3米20分钟转换及时次数
     */
    private double timerate4;

    /**
     * 大于3米5分钟转换及时次数
     */
    private double timerate5;

    /**
     * 大于3米10分钟转换及时次数
     */
    private double timerate6;

    /**
     * 大于3米15分钟转换及时次数
     */
    private double timerate7;

    /**
     * 大于3米20分钟转换及时次数
     */
    private double timerate8;

    /**
     * 大于4米5分钟转换及时次数
     */
    private double timerate9;

    /**
     * 大于4米10分钟转换及时次数
     */
    private double timerate10;

    /**
     * 大于4米15分钟转换及时次数
     */
    private double timerate11;

    /**
     * 大于4米20分钟转换及时次数
     */
    private double timerate12;

    /**
     * 小于3米状态转换总次数
     */
    private double timerate13;

    /**
     * 大于3米状态转换总次数
     */
    private double timerate14;

    /**
     * 大于4米状态转换总次数
     */
    private double timerate15;

    /**
     * 5分钟复位及时次数
     */
    private double timerate16;

    /**
     * 10分钟复位及时次数
     */
    private double timerate17;

    /**
     * 15分钟复位及时次数
     */
    private double timerate18;

    /**
     * 20分钟复位及时次数
     */
    private double timerate19;

    /**
     * 总复位次数
     */
    private double timerate20;

    /**
     * 故障消缺及时次数
     */
    private double timerate21;

    /**
     * 故障消缺总次数
     */
    private double timerate22;


}
