package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 离散率转换效率
 * </p>
 *
 * @author shilin
 * @since 2022-11-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentInfoDay6 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 逆变器编号
     */
    private String windturbineId;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 项目编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 公司编号
     */
    private String companyId;

    /**
     * 区域编号
     */
    private String regionId;

    /**
     * 日系统效率(PR)
     */
    private Double rxtxl;

    /**
     * 日离散率
     */
    private Double rlsl;

    /**
     * 日逆变器转换效率
     */
    private Double rnbqzhxl;

    /**
     * 月系统效率(PR)
     */
    private Double yxtxl;

    /**
     * 月离散率
     */
    private Double ylsl;

    /**
     * 月逆变器转换效率
     */
    private Double ynbqzhxl;

    /**
     * 年系统效率(PR)
     */
    private Double nxtxl;

    /**
     * 年离散率
     */
    private Double nlsl;

    /**
     * 年逆变器转换效率
     */
    private Double nnbqzhxl;


}
