package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 故障消缺及时率
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconFaultLiminatedefects extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;

    /**
     * 日期
     */
    private Date dateTime;

    /**
     * 报警类别
     */
    private String classifyId;

    /**
     * 故障次数
     */
    private Double faultCount;

    /**
     * 及时率
     */
    private Double rate;

    /**
     * 消缺及时次数
     */
    private Double rightCount;

    /**
     * 未消缺原因
     */
    private String cause;


}
