package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 指标查询表
 * </p>
 *
 * @author wang
 * @since 2022-11-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconPointCode extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 说明
     */
    private String description;

    /**
     * 单位
     */
    private String unit;

    /**
     * 设备类型
     */
    private String equipmentType;

    /**
     * 测点类型
     */
    private String pointType;


    /**
     * 测点类型
     */
    private double ratio;


}
