package com.gyee.runeconomy.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xujuanning
 * @since 2024-11-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("station_info_day")
public class StationInfoDay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 场站
     */
    private String stationId;

    /**
     * 时间
     */
    private LocalDate recordDate;

    /**
     * 安全天数
     */
    private Integer aqts;

    private Integer swdl;

    private Integer gwdl;

    private Integer cydl;

    private Integer rfdl;

    private Integer zhcydl;

    private BigDecimal hjwd;

    private BigDecimal rfdlFj;

    /**
     * 站用变
     */
    private Integer zyb;

    /**
     * 计划发电量
     */
    private BigDecimal jhfdl;


}
