package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 各部件温度出力分析表
 * </p>
 *
 * @author xujuanning
 * @since 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("temperatureinfo")
public class Temperatureinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 测点
     */
    private String tag;

    /**
     * 场站id
     */
    private String windpowerstationid;

    /**
     * 风机id
     */
    private String windturbineid;

    private String component;

    private String name;

    private Double reasonablemaxval;

    private Double maxval;


}
