package com.gyee.runeconomy.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data

public class SingleAnalysisVo implements java.io.Serializable {


    private static final long serialVersionUID = 1L;
    // Fields

    private String id;
    //风机编号
    private String windturbineid;
    //风机名称
    private String windturbineName;

    private String wtcode;
    //风场编号
    private String windPowerStationId;
    //风场名称
    private String windPowerStationName;
    //发电量
    private Double fdl;
    //上网电量
    private Double swdl;
    //购网电量
    private Double gwdl;
    //风速
    private Double fs;
    //故障损失
    private Double gzss;
    //检修损失
    private Double jxss;
    //限电损失
    private Double xdss;
    //性能发损失
    private Double xnss;
    //受累损失
    private Double slss;
    //理论发电量
    private Double llfdl;
    //故障小时
    private Double gzxs;
    //检修小时
    private Double jxxs;
    //停机小时
    private Double tjxs;
    //中断小时
    private Double zdxs;
    //运行小时
    private Double yxxs;
    //运行小时
    private Double djxs;
    //利用小时
    private Double lyxs;
    //设备可利用率
    private Double sbklyl;
    //等效可利用系数
    private Double dxklyxs;
    //日历小时
    private Double rlxs;
    //小风切入
    private Double xfqr;
    //功率一致性系数
    private Double glyzxxs;
    //有效风时速
    private Double yxfss;
    //小风切入率合格率
    private Double xfqrhgl;
    //风机容量
    private Double fjrl;
    //静风频率
    private Double jfpl;
    //日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date recorddate;

    private String companyId;
    private String types;
}
