package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconEquipmentInfoDayTop;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 风机日信息表排行 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-11-09
 */
public interface IProEconEquipmentInfoDayTopService extends IService<ProEconEquipmentInfoDayTop> {


    /**
     * 管理列表
     */
    IPage<ProEconEquipmentInfoDayTop> getEquipmentInfoDayTopList(String companyId, String windpowerstationId, Integer types, String staType, String date, Integer pageNum, Integer pageSize);


    /**
     * 历史数据
     */
    List<ProEconEquipmentInfoDayTop> getEquipmentInfoDayTopHistoryList(String windturbineId, Integer types, String beginDate, String endDate);


    /**
     * 对比数据
     */
    Map<String, Object> getEquipmentInfoDayTopCompareList(List<Long> ids, Integer types);


}
