package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.dto.response.ProEconPointCodeDTO;
import com.gyee.runeconomy.model.auto.ProEconPointCode;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 指标查询表 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-23
 */
public interface IProEconPointCodeService extends IService<ProEconPointCode> {


    List<ProEconPointCode> getEconPointCodeList();

    ProEconPointCode getProEconPointCode(String nemCode);

    List<ProEconPointCodeDTO> getEconPointRanking(String regionId, String companyId, String pointCode, Date date, String dateType, boolean popup, String statype);

}
