package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconPowerstationInfoDay4;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 场站三率mtbf 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-22
 */
public interface IProEconPowerstationInfoDay4Service extends IService<ProEconPowerstationInfoDay4> {


    /**
     * 获取三率
     *
     * @param foreignKeyId
     * @param staType
     * @param dateType
     * @param date
     * @return
     */
    Map<String, ProEconPowerstationInfoDay4> getEconThreeRate(String foreignKeyId, String staType, String dateType, Date date);


    /**
     * 三率曲线
     *
     * @param foreignKeyId
     * @param staType
     * @param dateType
     * @param date
     * @return
     */

    List<ProEconPowerstationInfoDay4> getEconThreeRateCurve(String foreignKeyId, String staType, String dateType, Date date);


    List<ProEconPowerstationInfoDay4> getEconThreeRateCurvelist(List<String> foreignKeyIds, Date date);

}
