package com.gyee.common.contant;

/**
 * 信控统一编码
 */

public class ContantXk {
    public static final String AQTS = "AQTS";//安全天数
    public static final String CZZT = "CZZT";//场站状态
    public static final String SBJRZT = "SBJRZT";//场站设备接入状态
    public static final String DQJRZT = "DQJRZT";//场站电气接入状态
    public static final String AGCJRZT = "AGCJRZT";//场站AGC/AVC接入状态
    public static final String GLYCJRZT = "GLYCJRZT";//场站功率预测接入状态
    public static final String QXZJRZT = "QXZJRZT";//场站测风塔接入状态
    public static final String SSPJFS = "SSPJFS";//场站实时平均风速
    public static final String SSPJGZD = "SSPJGZD";
    public static final String SSZGL = "SSZGL";//场站实时总功率
    public static final String SSZGLSYZ = "SSZGLSYZ";//场站实时总功率 升压站
    public static final String SSZLLGL = "SSZLLGL";//场站实时总理论功率
    public static final String SSZBZGL = "SSZBZGL";//场站实时总保证功率
    public static final String SSZNHGLZS = "SSZNHGLZS";//场站实时总拟合功率(自算)
    public static final String ZYCGL = "ZYCGL";   //总预测功率
    public static final String SSZZYGL = "SSZZYGL";//场站实时总最优功率
    public static final String SSZKYGL = "SSZKYGL";//场站实时总可用功率
    public static final String RPJGL = "RPJGL";//日平均功率
    public static final String RPJFS = "RPJFS";//日平均风速
    public static final String RPJGZD = "RPJGZD";//日平均光照度
    public static final String RFDL = "RFDL";//日发电量
    public static final String RKYDL = "RKYDL";//日可用电量
    public static final String RLLFDL = "RLLFDL";//日理论发电量
    public static final String RLLFDLZS = "RLLFDLZS"; //日理论发电量自算
    public static final String RGZSSDL = "RGZSSDL";//日故障损失电量
    public static final String RCNSLGZSSDL = "RCNSLGZSSDL";//日场内受累故障损失电量
    public static final String RJXSSDL = "RJXSSDL";//日检修损失电量
    public static final String RCNSLJXSSDL = "RCNSLJXSSDL";//日场内受累检修损失电量
    public static final String RDJSSDL = "RDJSSDL";//日待机损失电量
    public static final String RQXJCLSSDL = "RQXJCLSSDL";//日缺陷降出力损失电量
    public static final String RSDTJSSDL = "RSDTJSSDL";//日手动停机损失电量
    public static final String RXNSSDL = "RXNSSDL";//日性能损失电量
    public static final String RXDTJSSDL = "RXDTJSSDL";//日限电停机损失电量
    public static final String RXDJCLSSDL = "RXDJCLSSDL";//日限电降出力损失电量
    public static final String RCWSLDWSSDL = "RCWSLDWSSDL";//日场外受累电网损失电量
    public static final String RCWSLTQSSDL = "RCWSLTQSSDL";//日场外受累天气损失电量
    public static final String RZFDL = "RZFDL";//日增发电量
    public static final String RQFDL = "RQFDL";//日欠发电量
    public static final String YPJGL = "YPJGL";//月平均功率
    public static final String YPJFS = "YPJFS";//月平均风速
    public static final String YPJGZD = "YPJGZD";//月平均光照度
    public static final String YFDL = "YFDL";//月发电量
    public static final String YKYDL = "YKYDL";//月可用电量
    public static final String YLLFDL = "YLLFDL";//月理论发电量
    public static final String YLLFDLZS = "YLLFDLZS";//月理论发电量自算
    public static final String YGZSSDL = "YGZSSDL";//月故障损失电量
    public static final String YCNSLGZSSDL = "YCNSLGZSSDL";//月场内受累故障损失电量
    public static final String YJXSSDL = "YJXSSDL";//月检修损失电量
    public static final String YCNSLJXSSDL = "YCNSLJXSSDL";//月场内受累检修损失电量
    public static final String YDJSSDL = "YDJSSDL";//月待机损失电量
    public static final String YQXJCLSSDL = "YQXJCLSSDL";//月缺陷降出力损失电量
    public static final String YSDTJSSDL = "YSDTJSSDL";//月手动停机损失电量
    public static final String YXNSSDL = "YXNSSDL";//月性能损失电量
    public static final String YXDTJSSDL = "YXDTJSSDL";//月限电停机损失电量
    public static final String YXDJCLSSDL = "YXDJCLSSDL";//月限电降出力损失电量
    public static final String YCWSLDWSSDL = "YCWSLDWSSDL";//月场外受累电网损失电量
    public static final String YCWSLTQSSDL = "YCWSLTQSSDL";//月场外受累天气损失电量
    public static final String YZFDL = "YZFDL";//月增发电量
    public static final String YQFDL = "YQFDL";//月欠发电量
    public static final String NPJGL = "NPJGL";//年平均功率
    public static final String NPJFS = "NPJFS";//年平均风速
    public static final String NPJGZD = "NPJGZD";//年平均光照度
    public static final String NFDL = "NFDL";//年发电量
    public static final String NKYDL = "NKYDL";//年可用电量
    public static final String NLLFDL = "NLLFDL";//年理论发电量
    public static final String NLLFDLZS = "NLLFDLZS";//年理论发电量
    public static final String NGZSSDL = "NGZSSDL";//年故障损失电量
    public static final String NCNSLGZSSDL = "NCNSLGZSSDL";//年场内受累故障损失电量
    public static final String NJXSSDL = "NJXSSDL";//年检修损失电量
    public static final String NCNSLJXSSDL = "NCNSLJXSSDL";//年场内受累检修损失电量
    public static final String NDJSSDL = "NDJSSDL";//年待机损失电量
    public static final String NQXJCLSSDL = "NQXJCLSSDL";//年缺陷降出力损失电量
    public static final String NSDTJSSDL = "NSDTJSSDL";//年手动停机损失电量
    public static final String NXNSSDL = "NXNSSDL";//年性能损失电量
    public static final String NXDTJSSDL = "NXDTJSSDL";//年限电停机损失电量
    public static final String NXDJCLSSDL = "NXDJCLSSDL";//年限电降出力损失电量
    public static final String NCWSLDWSSDL = "NCWSLDWSSDL";//年场外受累电网损失电量
    public static final String NCWSLTQSSDL = "NCWSLTQSSDL";//年场外受累天气损失电量
    public static final String NZFDL = "NZFDL";//年增发电量
    public static final String NQFDL = "NQFDL";//年欠发电量
    public static final String PJFS15 = "PJFS15";//15分钟平均风速
    public static final String PJGZD15 = "PJGZD15";//15分钟光照度
    public static final String PJGL15 = "PJGL15";//15分钟平均功率
    public static final String FDL15 = "FDL15";//15分钟发电量
    public static final String KYDL15 = "KYDL15";//15分钟可用电量
    public static final String LLFDL15 = "LLFDL15";//15分钟理论发电量
    public static final String LLFDL15ZS = "LLFDL15ZS";//15分钟理论发电量
    public static final String GZSSDL15 = "GZSSDL15";//15分钟故障损失电量
    public static final String CNSLGZSSDL15 = "CNSLGZSSDL15";//15分钟场内受累故障损失电量
    public static final String JXSSDL15 = "JXSSDL15";//15分钟检修损失电量
    public static final String CNSLJXSSDL15 = "CNSLJXSSDL15";//15分钟场内受累检修损失电量
    public static final String DJSSDL15 = "DJSSDL15";//15分钟待机损失电量
    public static final String QXJCLSSDL15 = "QXJCLSSDL15";//15分钟缺陷降出力损失电量
    public static final String SDTJSSDL15 = "SDTJSSDL15";//15分钟手动停机损失电量
    public static final String XNSSDL15 = "XNSSDL15";//15分钟性能损失电量
    public static final String XDTJSSDL15 = "XDTJSSDL15";//15分钟限电停机损失电量
    public static final String XDJCLSSDL15 = "XDJCLSSDL15";//15分钟限电降出力损失电量
    public static final String CWSLDWSSDL15 = "CWSLDWSSDL15";//15分钟场外受累电网损失电量
    public static final String CWSLTQSSDL15 = "CWSLTQSSDL15";//15分钟场外受累天气损失电量
    public static final String ZFDL15 = "ZFDL15";//15分钟增发电量
    public static final String QFDL15 = "QFDL15";//15分钟欠发电量
    public static final String RFDLSYZ = "RFDLSYZ";//日发电量(升压站)
    public static final String YFDLSYZ = "YFDLSYZ";//月发电量(升压站)
    public static final String NFDLSYZ = "NFDLSYZ";//年发电量(升压站)
    public static final String RSWDL = "RSWDL";//日上网电量
    public static final String YSWDL = "YSWDL";//月上网电量
    public static final String NSWDL = "NSWDL";//年上网电量
    public static final String RGWGWDL = "RGWGWDL";//日工网购网电量
    public static final String YGWGWDL = "YGWGWDL";//月工网购网电量
    public static final String NGWGWDL = "NGWGWDL";//年工网购网电量
    public static final String RNWGWDL = "RNWGWDL";//日农网购网电量
    public static final String YNWGWDL = "YNWGWDL";//月农网购网电量
    public static final String NNWGWDL = "NNWGWDL";//年农网购网电量
    public static final String RCYDL = "RCYDL";//日厂用电量
    public static final String YCYDL = "YCYDL";//月厂用电量
    public static final String NCYDL = "NCYDL";//年厂用电量
    public static final String AIG007 = "AIG007";
    public static final String AIEMI002 = "AIEMI002";

    public static final String DJTSMX = "DJTSMX";//待机台数（明细）
    public static final String SDTJTSMX = "SDTJTSMX";//手动停机台数（明细）
    public static final String XNTSMX = "XNTSMX";//性能台数（明细）
    public static final String QXJCLTSMX = "QXJCLTSMX";//缺陷降出力台数（明细）
    public static final String GZTSMX = "GZTSMX";//故障台数（明细）
    public static final String CNSLGZTSMX = "CNSLGZTSMX";//场内受累故障台数（明细）
    public static final String JXTSMX = "JXTSMX";//检修台数（明细）
    public static final String CNSLJXTSMX = "CNSLJXTSMX";//场内受累检修台数（明细）
    public static final String XDTJTSMX = "XDTJTSMX";//限电停机台数（明细）
    public static final String XDJCLTSMX = "XDJCLTSMX";//限电降出力台数（明细）
    public static final String CWSLDWTSMX = "CWSLDWTSMX";//场外受累电网台数（明细）
    public static final String CWSLTQTSMX = "CWSLTQTSMX";//场外受累天气台数（明细）
    public static final String LXTSMX = "LXTSMX";//离线台数（明细）
    public static final String TXZDTSMX = "TXZDTSMX";//通讯中断台数（明细）

    public static final String DJTS = "DJTS";//待机台数
    public static final String GZTJTS = "GZTJTS";//故障停机台数
    public static final String TXZDTS = "TXZDTS";//通讯中断台数
    public static final String JXTJTS = "JXTJTS";//维护停机台数
    public static final String SLTS = "SLTS";//受累台数
    public static final String XDTS = "XDTS";//限电台数
    public static final String YXTS = "YXTS";//运行台数

    public static final String RZHD = "RZHD";//日自耗电
    public static final String YZHD = "YZHD";//月自耗电
    public static final String NZHD = "NZHD";//年自耗电
    public static final String ZHD15 = "ZHD15";//15分钟自耗电


    public static final String SBZT = "SBZT";//设备状态
    public static final String MXZT = "MXZT";//设备明细状态
    public static final String ZTCXSJ = "ZTCXSJ";//设备当前状态下持续时间
    public static final String SSBF = "SSBF";//设备实时补风风速
    public static final String SSBG = "SSBG";//设备实时补光
    public static final String XDZT = "XDZT";//设备限电状态
    public static final String GPZT = "GPZT";//设备挂牌状态（原限电受累）
    public static final String LSQFZT = "LSQFZT";//设备历史欠发状态
    public static final String SSQFZT = "SSQFZT";//设备实时欠发状态
    public static final String LLGL = "LLGL";//设备理论功率
    public static final String BZGL = "BZGL";//设备保证功率
    public static final String ZSGL = "ZSGL";//设备拟合功率(自算)
    public static final String ZYGL = "ZYGL";//设备最优功率
    public static final String KYGL = "KYGL";//设备可用功率


    public static final String CJ_SSFS = "AI066";//设备风速，光照
    public static final String CJ_SSGL = "AI114";//设备有功功率
    public static final String CJ_SSZS = "AI060";//转速
    public static final String CJ_FDZTXZSGD = "AI061";//发电状态下的转速给定
    public static final String CJ_SCADA_YGSD = "AI003";//scada有功设定值
    public static final String CJ_YLZSGD = "AI110";//叶轮转速给定
    public static final String CJ_FDL = "AI121";//发电量
    public static final String CJ_DWGL = "AI107";  //电网功率
    public static final String CJ_FX = "AI067";  //风向
    public static final String CJ_WGGL = "AI107";  //风向
    public static final String CJ_DFJD = "AI073";  //对风角度
    public static final String CJ_PHJD = "AI028";  //偏航角度

    public static final String TPOINT_WP_AGC = "AGC002";// agc
    public static final String TPOINT_WP_CXGL = "AGC001";// 出线
    public static final String TPOINT_WP_YGSX = "AGC003";// 有功上限
    public static final String TPOINT_WP_YGXX = "AGC004";// 有功下限
    public static final String TPOINT_WP_YF = "AGC005";// 远方
    public static final String TPOINT_WP_TT = "AGC006";// 投退
    public static final String TPOINT_WP_JBS = "AGC007";// 减闭锁
    public static final String TPOINT_WP_ZBS = "AGC008";// 增闭锁
    public static final String TPOINT_WP_XDZT = "AGC009";// 限电状态
    public static final String TPOINT_WP_ZSGL = "AGC010";// 自算功率
    public static final String TPOINT_WP_YCGL = "FCFGDQDT0001";// 预测功率


    public static final String SSGLSYZ = "SSGLSYZ";//线路实时功率 升压站 采集点


    public static final String NBQSRGL = "AIG067";   //逆变器输入功率
    public static final String NBQSCGL = "AI114";   //逆变器输出功率
    public static final String ZLDL = "ZLDL";   //支路电流
    public static final String JLDL = "AI075";   //交流电流
    public static final String JLDY = "AIG055";   //交流电压


    public static final String QXZWD = "QXZWD";//气象站温度

    public static final String FCCFTFS10 = "FCCFTFS10";//测风塔10米风速
    public static final String FCCFTFX10 = "FCCFTFX10";//测风塔10米风向
    public static final String FCCFTFS30 = "FCCFTFS30";//测风塔30米风速
    public static final String FCCFTFX30 = "FCCFTFX30";//测风塔30米风向
    public static final String FCCFTFS50 = "FCCFTFS50";//测风塔50米风速
    public static final String FCCFTFX50 = "FCCFTFX50";//测风塔50米风向
    public static final String FCCFTFS70 = "FCCFTFS70";//测风塔70米风速
    public static final String FCCFTFX70 = "FCCFTFX70";//测风塔70米风向
    public static final String FCCFTFS90 = "FCCFTFS90";//测风塔90米风速
    public static final String FCCFTFX90 = "FCCFTFX90";//测风塔90米风向
    public static final String FCCFTWD = "FCCFTWD";//测风塔温度
    public static final String FCCFTSD = "FCCFTSD";//测风塔湿度
    public static final String KQMD = "KQMD";//测风塔空气密度
    public static final String FCCFTYQ = "FCCFTYQ";//测风塔压强
    //判断数据中断(风速，功率，绕组温度，电流，电压)
    public static final String INTERRUPTION = "AI066,AI114,AI004";

    //    public static final String INTERRUPTION ="AI066,AI114,AI004,AI075,AI093";
    public static final String INTERRUPTIONGF = "AI114,AI075,AIG055";


    public static final String QCZT = "QCZT";  //全场状态

    public static final String JYM = "JYM";
    public static final String JYS = "JYS";
    public static final String JYEYHT = "CO2";
    public static final String JYEYHL = "SO2";
    public static final String RLYXS = "RLYXS";
    public static final String YLYXS = "YLYXS";
    public static final String NLYXS = "NLYXS";
    public static final String SBKLYL = "SBKLYL";
    public static final String DXKYXS = "DXKYXS";
    public static final String FNLYL = "FNLYL";


    public static final String QXZFS = "QXZFS";
    public static final String QXZFX = "QXZFX";


    public static final String AI042 = "AI042"; //齿轮箱轴1温度
    public static final String AI043 = "AI043"; //齿轮箱轴2温度
    public static final String AI038 = "AI038"; //齿轮箱入口油温
    public static final String AI039 = "AI039"; //齿轮箱油温


    public static final String AI092 = "AI092"; //轴承A温度
    public static final String AI062 = "AI062"; //轴承B温度
    public static final String AI004 = "AI004"; //U1绕组温度
    public static final String AI006 = "AI006"; //V1绕组温度
    public static final String AI008 = "AI008"; //W1绕组温度
    public static final String AI059 = "AI059"; //发电机冷却风温度

    public static final String AI050 = "AI050"; //电容器温度1
    public static final String AI051 = "AI051"; //电容器温度2
    public static final String AI052 = "AI052"; //电容器温度3
    public static final String AI076 = "AI076"; //A相电压
    public static final String AI078 = "AI078"; //B相电压
    public static final String AI080 = "AI080"; //C相电压
    public static final String AI020 = "AI020"; //变桨变流器温度
    public static final String AI035 = "AI035"; //变频器温度2
    public static final String AI036 = "AI036"; //变频器温度3
    public static final String AI045 = "AI045"; //伺服电机温度
    public static final String AI047 = "AI047"; //电机温度2
    public static final String AI048 = "AI048"; //电机温度3
    public static final String AI029 = "AI029"; //变桨控制柜温度1
    public static final String AI030 = "AI030"; //变桨控制柜温度2
    public static final String AI031 = "AI031"; //变桨控制柜温度3

    public static final String AI085 = "AI085"; //塔底柜温度
    public static final String AI099 = "AI099"; //塔顶柜温度

    public static final String AI074 = "AI074"; //机舱温度

    public static final String JKZT001 = "JKZT001"; //风机实时健康状态
    public static final String JKZT002 = "JKZT002"; //齿轮箱实时健康状态
    public static final String JKZT003 = "JKZT003"; //发电机实时健康状态
    public static final String JKZT004 = "JKZT004"; //控制因素实时健康状态
    public static final String JKZT005 = "JKZT005"; //机舱系统健康状态
    public static final String JKJL001 = "JKJL001"; //风机实时健康结果值
    public static final String JKJL002 = "JKJL002"; //齿轮箱实时健康结果值
    public static final String JKJL003 = "JKJL003"; //发电机实时健康结果值
    public static final String JKJL004 = "JKJL004"; //控制因素实时健康结果值
    public static final String JKJL005 = "JKJL005"; //机舱系统健康结果值
    public static final String JKYC001 = "JKYC001"; //风机健康预测-4小时
    public static final String JKYC002 = "JKYC002"; //齿轮箱健康预测-4小时
    public static final String JKYC003 = "JKYC003"; //发电机健康预测-4小时
    public static final String JKYC004 = "JKYC004"; //控制因素健康预测-4小时
    public static final String JKYC005 = "JKYC005"; //机舱系统健康预测-4小时
    public static final String JKYC006 = "JKYC006"; //风机健康预测-1天
    public static final String JKYC007 = "JKYC007"; //齿轮箱健康预测-1天
    public static final String JKYC008 = "JKYC008"; //发电机健康预测-1天
    public static final String JKYC009 = "JKYC009"; //控制因素健康预测-1天
    public static final String JKYC010 = "JKYC010"; //机舱系统健康预测-1天
    public static final String JKYC011 = "JKYC011"; //风机健康预测-3天
    public static final String JKYC012 = "JKYC012"; //齿轮箱健康预测-3天
    public static final String JKYC013 = "JKYC013"; //发电机健康预测-3天
    public static final String JKYC014 = "JKYC014"; //控制因素健康预测-3天
    public static final String JKYC015 = "JKYC015"; //机舱系统健康预测-3天
    public static final String JKYC016 = "JKYC016"; //风机健康预测-7天
    public static final String JKYC017 = "JKYC017"; //齿轮箱健康预测-7天
    public static final String JKYC018 = "JKYC018"; //发电机健康预测-7天
    public static final String JKYC019 = "JKYC019"; //控制因素健康预测-7天
    public static final String JKYC020 = "JKYC020"; //机舱系统健康预测-7天
    public static final String JKYC021 = "JKYC021"; //风机健康预测-1个月
    public static final String JKYC022 = "JKYC022"; //齿轮箱健康预测-1个月
    public static final String JKYC023 = "JKYC023"; //发电机健康预测-1个月
    public static final String JKYC024 = "JKYC024"; //控制因素健康预测-1个月
    public static final String JKYC025 = "JKYC025"; //机舱系统健康预测-1个月
    public static final String JKZT100 = "JKZT100"; //风机01总健康状态
    public static final String JKZS = "JKZS"; //健康指数
    public static final String JKSLLH001 = "JKSLLH001"; //风机良好数量
    public static final String JKSLHG001 = "JKSLHG001"; //风机合格数量
    public static final String JKSLZY001 = "JKSLZY001"; //风机注意数量
    public static final String JKSLYZ001 = "JKSLYZ001"; //风机严重数量
    public static final String JKSLLH002 = "JKSLLH002"; //齿轮箱良好数量
    public static final String JKSLHG002 = "JKSLHG002"; //齿轮箱合格数量
    public static final String JKSLZY002 = "JKSLZY002"; //齿轮箱注意数量
    public static final String JKSLYZ002 = "JKSLYZ002"; //齿轮箱严重数量
    public static final String JKSLLH003 = "JKSLLH003"; //发电机良好数量
    public static final String JKSLHG003 = "JKSLHG003"; //发电机合格数量
    public static final String JKSLZY003 = "JKSLZY003"; //发电机注意数量
    public static final String JKSLYZ003 = "JKSLYZ003"; //发电机严重数量
    public static final String JKSLLH004 = "JKSLLH004"; //空置因素良好数量
    public static final String JKSLHG004 = "JKSLHG004"; //空置因素合格数量
    public static final String JKSLZY004 = "JKSLZY004"; //空置因素注意数量
    public static final String JKSLYZ004 = "JKSLYZ004"; //空置因素严重数量
    public static final String JKSLLH005 = "JKSLLH005"; //机舱系统良好数量
    public static final String JKSLHG005 = "JKSLHG005"; //机舱系统合格数量
    public static final String JKSLZY005 = "JKSLZY005"; //机舱系统注意数量
    public static final String JKSLYZ005 = "JKSLYZ005"; //机舱系统严重数量


    public static final String ZJZT = "ZJZT";//中间状态

    public static final String MX000 = "MX000"; //待机
    public static final String MX001 = "MX001";//手动停机
    public static final String MX002 = "MX002";//正常发电
    public static final String MX003 = "MX003";//发电降出力
    public static final String MX004 = "MX004";//故障
    public static final String MX005 = "MX005"; //故障受累
    public static final String MX006 = "MX006";//检修
    public static final String MX007 = "MX007";//检修受累
    public static final String MX008 = "MX008";//限电降出力
    public static final String MX009 = "MX009";//限电停机
    public static final String MX010 = "MX010";//电网受累
    public static final String MX011 = "MX011";//环境受累
    public static final String MX012 = "MX012";//通讯中断
    public static final String MX013 = "MX013";//设备离线

    //新配置预测
    public static final String FSYC = "FSYC"; //风速预测
    public static final String GZYC = "GZYC"; //光照预测
    public static final String GLYC = "GLYC"; //功率预测
    public static final String GCGZQD = "GCGZQD"; //场站光照


}
