package com.gyee.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author 谢生杰
 * @since 2022-02-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("EVALUATIONDATASOURCE")
public class Evaluationdatasource extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "TARGETID", type = IdType.INPUT)
    private String targetid;

    @TableField("TARGETNAME")
    private String targetname;

    @TableField("DATASOURCETABLE")
    private String datasourcetable;

    @TableField("DATASOURCEFIELD")
    private String datasourcefield;

    @TableField("STATISTICALMETHOD")
    private String statisticalmethod;

    @TableField("CONDITION")
    private String condition;

    @TableField("SORT")
    private String sort;

    @TableField("GROUPBYFIELDS")
    private String groupbyfields;

    @TableField("CYCLE")
    private String cycle;

    @TableField("FIELDTYPE")
    private BigDecimal fieldtype;

    @TableField("TYPE")
    private String type;

    @TableField("GENERALFORMULA")
    private String generalformula;


}
