package com.gyee.common.vo.benchmark;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName : WxsslVo
 * @Author : xieshengjie
 * @Date: 2021/6/16 16:00
 * @Description : 五项损失率vo
 */
@Data
public class WxsslVo implements Serializable {

    private static final long serialVersionUID = -2799942539856503365L;

    private String id;
    private String name;
    private Double ordernum;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date date;
    private Integer zhpm;
    private Integer fdlpm;
    private Double fdl;
    private Double llfdl;
    private Integer gzssdlpm;
    private Double gzssdl;
    private Integer jxssdlpm;
    private Double jxssdl;
    private Integer xnssdlpm;
    private Double xnssdl;
    private Integer xdssdlpm;
    private Double xdssdl;
    private Integer slssdlpm;
    private Double slssdl;
    private Integer fnlylpm;
    private Double fnlyl;
    private Integer gzsslpm;
    private Double gzssl;
    private Integer jxsslpm;
    private Double jxssl;
    private Integer qflpm;
    private Double qfl;
    private Integer xnsslpm;
    private Double xnssl;
    private Double zssdl;
    private Double slssl;
    private Integer slsslpm;
}
