package com.gyee.common.vo.specific;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName : SpecificTopVo
 * @Author : xieshengjie
 * @Date: 2021/6/11 14:21
 * @Description : 专题分析上面部分vo
 */
@Data
public class SpecificTopVo implements Serializable {
    private static final long serialVersionUID = 1407554909175314466L;
    private String type;
    private Double yllfdl;   //理论发电量
    private Double ysjfdl;   //实际发电量
    private Double yfnlyl;    //风能利用率
    private Double ywhssdl;   //维护损失电量
    private Double ywhssl;    //维护损失率
    private Double ygzssdl;   //故障损失电量
    private Double ygzssl;    //故障损失率
    private Double yxdssdl;   //限电损失电量
    private Double yxdssl;     //限电损失率
    private Double yxnssdl;    //性能损失电量
    private Double yxnssl;     //性能损失率
    private Double yslssdl;   //受累损失电量
    private Double yslssl;    //受累损失率
    private Double nllfdl;
    private Double nsjfdl;
    private Double nfnlyl;
    private Double nwhssdl;
    private Double nwhssl;
    private Double ngzssdl;
    private Double ngzssl;
    private Double nxdssdl;
    private Double nxdssl;
    private Double nxnssdl;
    private Double nxnssl;
    private Double nslssdl;
    private Double nslssl;
}
