package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconCurveFittingSub;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线子表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconCurveFittingSubMapper extends BaseMapper<ProEconCurveFittingSub> {


    @Delete(" delete from pro_econ_curve_fitting_sub where record_date=#{recordDate}  and windturbine_id in (${wtIds})  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconCurveFittingSubFByDay(@Param(value = "recordDate") Date recordDate, @Param(value = "wtIds") String wtIds);

    @Delete(" delete from pro_econ_curve_fitting_sub where record_date=#{recordDate}  AND  windturbine_id like '%_G_%' ")
    public int deleteProEconCurveFittingSubGByDay(@Param(value = "recordDate") Date recordDate);
}
