package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconMainBrownouts;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 限电事件主表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-25
 */
public interface ProEconMainBrownoutsMapper extends BaseMapper<ProEconMainBrownouts> {


    @Update("update pro_econ_main_brownouts   set start_time=#{start_time},loss_power=#{loss_power},stop_hours=#{stop_hours}  where id=#{id}")
    public int updateMainBrownouts(@Param(value = "start_time") Date start_time, @Param(value = "loss_power") Double loss_power,
                                   @Param(value = "stop_hours") Double stop_hours, @Param(value = "id") String id);
}
