package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconWindturbineStatus;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * 与停机事件关联（限电停机时），数据库中无关联，程序控制 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconWindturbineStatusMapper extends BaseMapper<ProEconWindturbineStatus> {


    @Update("update pro_econ_windturbine_status   set start_time=#{start_time},loss_power=#{loss_power},stop_hours=#{stop_hours}  where id=#{id}")
    public int updateWindturbineStatus(@Param(value = "start_time") Date start_time, @Param(value = "loss_power") Double loss_power,
                                       @Param(value = "stop_hours") Double stop_hours, @Param(value = "id") Long id);
}
