package com.gyee.generation.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.generation.model.auto.ProEconWtCurveFittingMonth;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机月拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconWtCurveFittingMonthMapper extends BaseMapper<ProEconWtCurveFittingMonth> {

    @Delete(" delete from pro_econ_wt_curve_fitting_month where year=#{year} and month=#{month}   and windturbine_id in (${wtIds})  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconWtCurveFittingFByMonth(@Param(value = "year") String year, @Param(value = "month") String month, @Param(value = "wtIds") String wtIds);

    @Delete(" delete from pro_econ_wt_curve_fitting_month where year=#{year} and month=#{month} AND  windturbine_id like '%_G_%' ")
    public int deleteProEconWtCurveFittingGByMonth(@Param(value = "year") String year, @Param(value = "month") String month);
}
