package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicModelPower extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 型号编号
     */
    private String modelId;

    /**
     * 风速/光照度
     */
    private Double speed;

    /**
     * 稳态功率（相当于理论）
     */
    private Double theoryPower;

    /**
     * 动态功率（保证功率）
     */
    private Double ensurePower;

    /**
     * 场站编号
     */
    private String windpowerstationId;


}
