package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 实时数据库配置表
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicRealtimeDbconfig extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 服务姓
     */
    private String surName;

    /**
     * 服务名(历史)
     */
    private String nameHist;

    /**
     * 服务名(配置)
     */
    private String nameCmcfg;

    /**
     * 服务名(实时)
     */
    private String nameRts;

    /**
     * 点标签
     */
    private String label;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 端口(历史)
     */
    private String portHist;

    /**
     * 端口(配置)
     */
    private String portCmcfg;

    /**
     * 端口(实时)
     */
    private String portRts;

    /**
     * 地址(历史)
     */
    private String ipHist;

    /**
     * 地址(配置)
     */
    private String ipCmcfg;

    /**
     * 地址(实时)
     */
    private String ipRts;


}
