package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 风电表底
 * </p>
 *
 * @author shilin
 * @since 2023-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconAnalysisSubtableBottom extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 场站
     */
    private String wpid;

    private String meterId;

    private String meterName;

    private Double stopCode;

    private Double stopCodeModify;

    private Double dayValue;

    private Double dayValueModify;

}
