package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风电机月拟合曲线主表
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconCurveFittMonthMain extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 环比
     */
    private Double monthDeviationRate;

    /**
     * 同比
     */
    private Double yearDeviationRate;

    /**
     * 与标杆风机比
     */
    private Double standardDeviationRate;

    /**
     * 实际/最优
     */
    private Double deviationRate1;

    /**
     * 实际/保证
     */
    private Double deviationRate2;

    /**
     * 最优/保证
     */
    private Double deviationRate3;


}
