package com.gyee.generation.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author shilin
 * @since 2023-02-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEqOriginalYear extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 设备编号
     */
    private String windturbineId;

    /**
     * 设备名称
     */
    private String windturbineName;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 年
     */
    private Integer year;

    /**
     * 统计阶段
     */
    private String types;

    /**
     * SCADA发电量（千瓦时）
     */
    private Double target01;

    /**
     * 试运行SCADA发电量（千瓦时）
     */
    private Double target02;

    /**
     * 最大风速
     */
    private Double target03;

    /**
     * 最小风速
     */
    private Double target04;

    /**
     * 最大功率
     */
    private Double target05;

    /**
     * 最小功率
     */
    private Double target06;

    /**
     * 平均功率
     */
    private Double target07;

    /**
     * 平均风速
     */
    private Double target08;

    /**
     * 设计理论发电量（千瓦时）
     */
    private Double target09;

    /**
     * 实际理论发电量（千瓦时）
     */
    private Double target10;

    /**
     * 智慧风电理论发电量（千瓦时）
     */
    private Double target11;

    /**
     * 风能利用率
     */
    private Double target12;

    /**
     * 损失电量（千瓦时）
     */
    private Double target13;

    /**
     * 故障损失时长（小时）
     */
    private Double target14;

    /**
     * 故障次数
     */
    private Double target15;

    /**
     * 故障损失电量
     */
    private Double target16;

    /**
     * 故障损失率
     */
    private Double target17;

    /**
     * 检修损失时长（小时）
     */
    private Double target18;

    /**
     * 检修次数
     */
    private Double target19;

    /**
     * 检修损失电量
     */
    private Double target20;

    /**
     * 检修损失率
     */
    private Double target21;

    /**
     * 性能损失时长（小时）
     */
    private Double target22;

    /**
     * 性能损失次数
     */
    private Double target23;

    /**
     * 性能损失电量
     */
    private Double target24;

    /**
     * 性能损失率
     */
    private Double target25;

    /**
     * 限电时长（小时）
     */
    private Double target26;

    /**
     * 限电次数
     */
    private Double target27;

    /**
     * 限电损失电量
     */
    private Double target28;

    /**
     * 限电损失率
     */
    private Double target29;

    /**
     * 弃风率
     */
    private Double target30;

    /**
     * 弃发比
     */
    private Double target31;

    /**
     * 受累损失时长（小时）
     */
    private Double target32;

    /**
     * 受累次数
     */
    private Double target33;

    /**
     * 受累损失电量
     */
    private Double target34;

    /**
     * 受累损失率
     */
    private Double target35;

    /**
     * 统计小时
     */
    private Double target36;

    /**
     * 切入次数
     */
    private Double target37;

    /**
     * 切出次数
     */
    private Double target38;

    /**
     * 平均切入风速
     */
    private Double target39;

    /**
     * 平均切出风速
     */
    private Double target40;

    /**
     * 最大切出风速
     */
    private Double target41;

    /**
     * 最小切入风速
     */
    private Double target42;

    /**
     * 额定功率
     */
    private Double target43;

    /**
     * 额定风速
     */
    private Double target44;

    /**
     * 设备利用小时
     */
    private Double target45;

    /**
     * 30分钟内故障消除次数
     */
    private Double target46;

    /**
     * 6小时内故障消除次数
     */
    private Double target47;

    /**
     * 12小时内故障消除次数
     */
    private Double target48;

    /**
     * 24小时内故障消除次数
     */
    private Double target49;

    /**
     * 72小时内故障消除次数
     */
    private Double target50;

    /**
     * 168小时内故障消除次数
     */
    private Double target51;

    /**
     * 168小时外故障消除次数
     */
    private Double target52;

    /**
     * 故障消缺总次数
     */
    private Double target53;

    /**
     * 等效可利用系数
     */
    private Double target54;

    /**
     * 设备可利用率
     */
    private Double target55;

    /**
     * 负荷率
     */
    private Double target56;

    /**
     * 功率一致性系数
     */
    private Double target57;

    /**
     * 拟合优度
     */
    private Double target58;

    /**
     * 曲线偏差率
     */
    private Double target59;

    /**
     * 故障消缺及时率
     */
    private Double target60;

    /**
     * 状态转换及时率
     */
    private Double target61;

    /**
     * 复位及时率
     */
    private Double target62;

    /**
     * 年MTBF
     */
    private Double target63;

    /**
     * 年MTTR
     */
    private Double target64;

    /**
     * 年MTTF
     */
    private Double target65;

    /**
     * 备用1
     */
    private Double target66;

    /**
     * 备用2
     */
    private Double target67;

    /**
     * 备用3
     */
    private Double target68;

    /**
     * 备用4
     */
    private Double target69;

    /**
     * 备用5
     */
    private Double target70;

    /**
     * 备用6
     */
    private Double target71;

    /**
     * 备用7
     */
    private Double target72;

    /**
     * 备用8
     */
    private Double target73;

    /**
     * 备用9
     */
    private Double target74;

    /**
     * 备用10
     */
    private Double target75;

    /**
     * 备用11
     */
    private Double target76;

    /**
     * 备用12
     */
    private Double target77;

    /**
     * 备用13
     */
    private Double target78;

    /**
     * 备用14
     */
    private Double target79;

    /**
     * 备用15
     */
    private Double target80;

    /**
     * 备用16
     */
    private Double target81;

    /**
     * 备用17
     */
    private Double target82;

    /**
     * 备用18
     */
    private Double target83;

    /**
     * 备用19
     */
    private Double target84;

    /**
     * 备用20
     */
    private Double target85;

    /**
     * 备用21
     */
    private Double target86;

    /**
     * 备用22
     */
    private Double target87;

    /**
     * 备用23
     */
    private Double target88;

    /**
     * 备用24
     */
    private Double target89;

    /**
     * 备用25
     */
    private Double target90;

    /**
     * 备用26
     */
    private Double target91;

    /**
     * 备用27
     */
    private Double target92;

    /**
     * 备用28
     */
    private Double target93;

    /**
     * 备用29
     */
    private Double target94;

    /**
     * 备用30
     */
    private Double target95;

    /**
     * 备用31
     */
    private Double target96;

    /**
     * 备用32
     */
    private Double target97;

    /**
     * 备用33
     */
    private Double target98;

    /**
     * 备用34
     */
    private Double target99;

    /**
     * 备用35
     */
    private Double target100;
    private Double target101;
    private Double target102;
    private Double target103;
    private Double target104;
    private Double target105;
    private Double target106;
    private Double target107;
    private Double target108;
    private Double target109;
    private Double target110;
    private Double target111;
    private Double target112;
    private Double target113;
    private Double target114;
    private Double target115;
    private Double target116;
    private Double target117;
    private Double target118;
    private Double target119;
    private Double target120;
    private Double target121;
    private Double target122;
    private Double target123;
    private Double target124;
    private Double target125;
    private Double target126;
    private Double target127;
    private Double target128;
    private Double target129;
    private Double target130;
    private Double target131;
    private Double target132;
    private Double target133;
    private Double target134;
    private Double target135;
    private Double target136;
    private Double target137;
    private Double target138;
    private Double target139;
    private Double target140;
    private Double target141;
    private Double target142;
    private Double target143;
    private Double target144;
    private Double target145;
    private Double target146;
    private Double target147;
    private Double target148;
    private Double target149;
    private Double target150;
    private Double target151;
    private Double target152;
    private Double target153;
    private Double target154;
    private Double target155;
    private Double target156;
    private Double target157;
    private Double target158;
    private Double target159;
    private Double target160;
    private Double target161;
    private Double target162;
    private Double target163;
    private Double target164;
    private Double target165;
    private Double target166;
    private Double target167;
    private Double target168;
    private Double target169;
    private Double target170;
    private Double target171;
    private Double target172;
    private Double target173;
    private Double target174;
    private Double target175;
    private Double target176;
    private Double target177;
    private Double target178;
    private Double target179;
    private Double target180;
    private Double target181;
    private Double target182;
    private Double target183;
    private Double target184;
    private Double target185;
    private Double target186;
    private Double target187;
    private Double target188;
    private Double target189;
    private Double target190;
    private Double target191;
    private Double target192;
    private Double target193;
    private Double target194;
    private Double target195;
    private Double target196;
    private Double target197;
    private Double target198;
    private Double target199;
    private Double target200;
    /**
     * 场站编号(冗余)
     */
    private String windpowerstationId;


    /**
     * 工程编号(冗余)
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;
    private Integer result;

    /**
     * 对应的流程编号
     * <p>
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

}
