package com.gyee.generation.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xujuanning
 * @since 2024-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pro_econ_equipment_info_js")
public class ProEconEquipmentInfoJs implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 日期
     */
    @TableField("record_date")
    private LocalDate recordDate;

    /**
     * 风场编号
     */
    @TableField("wpid")
    private String wpid;

    /**
     * 测点
     */
    @TableField("meter_id")
    private String meterId;

    /**
     * 测点描述
     */
    @TableField("meter_name")
    private String meterName;

    /**
     * 测点数值
     */
    @TableField("stop_code")
    private BigDecimal stopCode;

    /**
     * 参考值
     */
    @TableField("stop_code_modify")
    private BigDecimal stopCodeModify;

    /**
     * 回填测点
     */
    @TableField("back_code")
    private String backCode;


}
