package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 1、切入是1
 * 2、切出是0
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconInputOrOutputSpeed extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 风速
     */
    private Double speed;

    /**
     * 切入or切出
     */
    private Integer inputOrOutput;

    /**
     * 时间
     */
    private Date recordDate;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 线路编号
     */
    private String lineId;


}
