package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 限电事件主表
 * </p>
 *
 * @author shilin
 * @since 2022-10-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconMainBrownouts2 extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 停机时间
     */
    private Date stopTime;

    /**
     * 恢复启动时间
     */
    private Date startTime;

    /**
     * 故障停机、维护停机、限电停机、复位停机
     */
    private String stopTypeId;

    /**
     * 描述
     */
    private String description;

    /**
     * 限电负荷
     */
    private Double limitLoad;

    /**
     * 限电指令
     */
    private String brownoutsDirective;

    /**
     * 当时风速
     */
    private Double windSpeed;

    /**
     * 当时负荷
     */
    private Double thisLoad;

    /**
     * 风场编号
     */
    private String windpowerstationId;

    /**
     * 风场名称
     */
    private String wpName;

    /**
     * 损失电量
     */
    private Double lossPower;

    /**
     * 停机时长
     */
    private Double stopHours;


}
