package com.gyee.generation.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author shilin
 * @since 2023-02-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconStaOriginalMonth extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 场站、项目、线路等
     */
    private String location;

    /**
     * 场站、项目、线路等编号
     */
    private String foreignKeyId;

    /**
     * 场站、项目、线路等名称
     */
    private String foreignName;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 年
     */
    private Integer year;

    /**
     * 月
     */
    private Integer month;

    /**
     * 最大风速
     */
    private Double target01;

    /**
     * 最小风速
     */
    private Double target02;

    /**
     * 最大功率
     */
    private Double target03;

    /**
     * 最小功率
     */
    private Double target04;

    /**
     * 平均功率
     */
    private Double target05;

    /**
     * 平均风速
     */
    private Double target06;

    /**
     * 发电量
     */
    private Double target07;

    /**
     * 可用电量
     */
    private Double target08;

    /**
     * 理论发电量
     */
    private Double target09;

    /**
     * 故障损失电量
     */
    private Double target10;

    /**
     * 场内受累故障损失电量
     */
    private Double target11;

    /**
     * 检修损失电量
     */
    private Double target12;

    /**
     * 场内受累检修损失电量
     */
    private Double target13;

    /**
     * 待机损失电量
     */
    private Double target14;

    /**
     * 缺陷降出力损失电量
     */
    private Double target15;

    /**
     * 手动停机损失电量
     */
    private Double target16;

    /**
     * 性能损失电量
     */
    private Double target17;

    /**
     * 限电停机损失电量
     */
    private Double target18;

    /**
     * 限电降出力损失电量
     */
    private Double target19;

    /**
     * 场外受累电网损失电量
     */
    private Double target20;

    /**
     * 场外受累天气损失电量
     */
    private Double target21;

    /**
     * 故障小时（明细）
     */
    private Double target22;

    /**
     * 场内受累故障小时（明细）
     */
    private Double target23;

    /**
     * 检修小时（明细）
     */
    private Double target24;

    /**
     * 场内受累检修小时（明细）
     */
    private Double target25;

    /**
     * 待机小时（明细）
     */
    private Double target26;

    /**
     * 缺陷降出力小时（明细）
     */
    private Double target27;

    /**
     * 手动停机小时（明细）
     */
    private Double target28;

    /**
     * 性能小时（明细）
     */
    private Double target29;

    /**
     * 限电停机小时（明细）
     */
    private Double target30;

    /**
     * 限电降出力小时（明细）
     */
    private Double target31;

    /**
     * 场外受累电网小时（明细）
     */
    private Double target32;

    /**
     * 场外受累天气小时（明细）
     */
    private Double target33;

    /**
     * 离线小时（明细）
     */
    private Double target34;

    /**
     * 通讯中断小时（明细）
     */
    private Double target35;

    /**
     * 故障次数（明细）
     */
    private Double target36;

    /**
     * 场内受累故障次数（明细）
     */
    private Double target37;

    /**
     * 检修次数（明细）
     */
    private Double target38;

    /**
     * 场内受累检修次数（明细）
     */
    private Double target39;

    /**
     * 待机次数（明细）
     */
    private Double target40;

    /**
     * 缺陷降出力次数（明细）
     */
    private Double target41;

    /**
     * 手动停机次数（明细）
     */
    private Double target42;

    /**
     * 性能次数（明细）
     */
    private Double target43;

    /**
     * 限电停机次数（明细）
     */
    private Double target44;

    /**
     * 限电降出力次数（明细）
     */
    private Double target45;

    /**
     * 场外受累电网次数（明细）
     */
    private Double target46;

    /**
     * 场外受累天气次数（明细）
     */
    private Double target47;

    /**
     * 离线次数（明细）
     */
    private Double target48;

    /**
     * 通讯中断次数（明细）
     */
    private Double target49;

    /**
     * MTBF
     */
    private Double target50;

    /**
     * MTTR
     */
    private Double target51;

    /**
     * MTTF
     */
    private Double target52;

    /**
     * 复位及时率
     */
    private Double target53;

    /**
     * 状态转换及时率
     */
    private Double target54;

    /**
     * 故障消缺及时率
     */
    private Double target55;

    /**
     * 发电量(电表)
     */
    private Double target56;

    /**
     * 上网电量(电表)
     */
    private Double target57;

    /**
     * 工网购网电量(电表)
     */
    private Double target58;

    /**
     * 农网购网电量(电表)
     */
    private Double target59;

    /**
     * 综合场用电量(电表)
     */
    private Double target60;

    /**
     * 发电厂用电量(电表)
     */
    private Double target61;

    /**
     * 备用
     */
    private Double target62;

    /**
     * 备用
     */
    private Double target63;

    /**
     * 备用
     */
    private Double target64;

    /**
     * 备用
     */
    private Double target65;

    /**
     * 备用
     */
    private Double target66;

    /**
     * 备用
     */
    private Double target67;

    /**
     * 备用
     */
    private Double target68;

    /**
     * 备用
     */
    private Double target69;

    /**
     * 备用
     */
    private Double target70;

    /**
     * 备用
     */
    private Double target71;

    /**
     * 备用
     */
    private Double target72;

    /**
     * 备用
     */
    private Double target73;

    /**
     * 备用
     */
    private Double target74;

    /**
     * 备用
     */
    private Double target75;

    /**
     * 备用
     */
    private Double target76;

    /**
     * 备用
     */
    private Double target77;

    /**
     * 备用
     */
    private Double target78;

    /**
     * 备用
     */
    private Double target79;

    /**
     * 备用
     */
    private Double target80;

    /**
     * 备用
     */
    private Double target81;

    /**
     * 备用
     */
    private Double target82;

    /**
     * 备用
     */
    private Double target83;

    /**
     * 备用
     */
    private Double target84;

    /**
     * 备用
     */
    private Double target85;

    /**
     * 备用
     */
    private Double target86;

    /**
     * 备用
     */
    private Double target87;

    /**
     * 备用
     */
    private Double target88;

    /**
     * 备用
     */
    private Double target89;

    /**
     * 备用
     */
    private Double target90;

    /**
     * 备用
     */
    private Double target91;

    /**
     * 备用
     */
    private Double target92;

    /**
     * 备用
     */
    private Double target93;

    /**
     * 备用
     */
    private Double target94;

    /**
     * 备用
     */
    private Double target95;

    /**
     * 备用
     */
    private Double target96;

    /**
     * 备用
     */
    private Double target97;

    /**
     * 备用
     */
    private Double target98;

    /**
     * 备用
     */
    private Double target99;

    /**
     * 备用
     */
    private Double target100;
    private Double target101;
    private Double target102;
    private Double target103;
    private Double target104;
    private Double target105;
    private Double target106;
    private Double target107;
    private Double target108;
    private Double target109;
    private Double target110;
    private Double target111;
    private Double target112;
    private Double target113;
    private Double target114;
    private Double target115;
    private Double target116;
    private Double target117;
    private Double target118;
    private Double target119;
    private Double target120;
    private Double target121;
    private Double target122;
    private Double target123;
    private Double target124;
    private Double target125;
    private Double target126;
    private Double target127;
    private Double target128;
    private Double target129;
    private Double target130;
    private Double target131;
    private Double target132;
    private Double target133;
    private Double target134;
    private Double target135;
    private Double target136;
    private Double target137;
    private Double target138;
    private Double target139;
    private Double target140;
    private Double target141;
    private Double target142;
    private Double target143;
    private Double target144;
    private Double target145;
    private Double target146;
    private Double target147;
    private Double target148;
    private Double target149;
    private Double target150;
    private Double target151;
    private Double target152;
    private Double target153;
    private Double target154;
    private Double target155;
    private Double target156;
    private Double target157;
    private Double target158;
    private Double target159;
    private Double target160;
    private Double target161;
    private Double target162;
    private Double target163;
    private Double target164;
    private Double target165;
    private Double target166;
    private Double target167;
    private Double target168;
    private Double target169;
    private Double target170;
    private Double target171;
    private Double target172;
    private Double target173;
    private Double target174;
    private Double target175;
    private Double target176;
    private Double target177;
    private Double target178;
    private Double target179;
    private Double target180;
    private Double target181;
    private Double target182;
    private Double target183;
    private Double target184;
    private Double target185;
    private Double target186;
    private Double target187;
    private Double target188;
    private Double target189;
    private Double target190;
    private Double target191;
    private Double target192;
    private Double target193;
    private Double target194;
    private Double target195;
    private Double target196;
    private Double target197;
    private Double target198;
    private Double target199;
    private Double target200;
    private Integer result;

    /**
     * 对应的流程编号
     * <p>
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

}
