package com.gyee.generation.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 风电机年拟合曲线
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWtCurveFittingYear extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 风机编号
     */
    private String windturbineId;

    /**
     * 风速
     */
    private Double speed;

    /**
     * 实际拟合功率
     */
    private Double actualPower;

    /**
     * 最优拟合功率
     */
    private Double optimalPower;

    /**
     * 年
     */
    private String year;


    /**
     * 主表编号
     */
    private String mainId;


}
