package com.gyee.generation.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 年风机级别MTTR MTBF
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWtmttrMtbfYear extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 风机编号
     */
    private String wtId;

    /**
     * 风机名称
     */
    private String wpName;

    /**
     * 年
     */
    private Double year;

    /**
     * 故障小时
     */
    private Double stopHours;

    /**
     * 故障次数
     */
    private Double stopTimes;


}
