package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconBrownoutsEvent2Mapper;
import com.gyee.generation.model.auto.ProEconBrownoutsEvent2;
import com.gyee.generation.service.auto.IProEconBrownoutsEvent2Service;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 与停机事件关联（限电停机时），数据库中无关联，程序控制 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-25
 */
@Service
public class ProEconBrownoutsEvent2ServiceImpl extends ServiceImpl<ProEconBrownoutsEvent2Mapper, ProEconBrownoutsEvent2> implements IProEconBrownoutsEvent2Service {

    @Resource
    private ProEconBrownoutsEvent2Mapper proEconBrownoutsEvent2Mapper;

    public int updateBrownouts2(Date start_time, Double loss_power, Double stop_hours, String id) {
        int i = 0;
        i = proEconBrownoutsEvent2Mapper.updateBrownouts2(start_time, loss_power, stop_hours, id);
        return i;
    }
}
