package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconCurveFittMonthSubMapper;
import com.gyee.generation.model.auto.ProEconCurveFittMonthSub;
import com.gyee.generation.service.auto.IProEconCurveFittMonthSubService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机月拟合曲线子表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconCurveFittMonthSubServiceImpl extends ServiceImpl<ProEconCurveFittMonthSubMapper, ProEconCurveFittMonthSub> implements IProEconCurveFittMonthSubService {

    @Resource
    private ProEconCurveFittMonthSubMapper proEconCurveFittMonthSubMapper;

    @Override
    public int deleteProEconCurveFittMonthSubFByMonth(String year, String month, String wtIds) {

        return proEconCurveFittMonthSubMapper.deleteProEconCurveFittMonthSubFByMonth(year, month, wtIds);
    }

    @Override
    public int deleteProEconCurveFittMonthSubGByMonth(String year, String month) {

        return proEconCurveFittMonthSubMapper.deleteProEconCurveFittMonthSubGByMonth(year, month);
    }
}
