package com.gyee.generation.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.generation.mapper.auto.ProEconCurveFittYearMainMapper;
import com.gyee.generation.model.auto.ProEconCurveFittYearMain;
import com.gyee.generation.service.auto.IProEconCurveFittYearMainService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 风电机年拟合曲线主表 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
@Service
public class ProEconCurveFittYearMainServiceImpl extends ServiceImpl<ProEconCurveFittYearMainMapper, ProEconCurveFittYearMain> implements IProEconCurveFittYearMainService {

    @Resource
    private ProEconCurveFittYearMainMapper proEconCurveFittYearMainMapper;

    @Override
    public int deleteProEconCurveFittYearMainFByYear(String year, String wtIds) {
        return proEconCurveFittYearMainMapper.deleteProEconCurveFittYearMainFByYear(year, wtIds);
    }

    @Override
    public int deleteProEconCurveFittYearMainGByYear(String year) {
        return proEconCurveFittYearMainMapper.deleteProEconCurveFittYearMainGByYear(year);
    }
}
