package com.gyee.runeconomy.controller.Irradiationinput;

import com.gyee.runeconomy.dto.AjaxResult;
import com.gyee.runeconomy.service.Irradiationinput.IrradiationinputService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

@Controller
@RequestMapping("/Irradiation")
@Api(value = "驾驶舱", tags = "驾驶舱")
public class IrradiationinputController {

    @Resource
    private IrradiationinputService irradiationinputService;

    //单独部署该定时打开，同时注释其它定时

    //    @Scheduled(cron = "0 */1 * * * ?")
    @GetMapping("/input")
    @ResponseBody
    @ApiOperation(value = "首页", notes = "首页")
    public AjaxResult getinformation() throws Exception {
        irradiationinputService.getcockpit();
        return AjaxResult.success();
    }

    @GetMapping("/inputsjbc")
    @ResponseBody
    @ApiOperation(value = "首页", notes = "首页")
    public AjaxResult getinformationsjbc() throws Exception {
        irradiationinputService.getcockpitsjbc();
        return AjaxResult.success();
    }
}
