package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconCurveFittMonthSub;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机月拟合曲线子表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconCurveFittMonthSubMapper extends BaseMapper<ProEconCurveFittMonthSub> {

    @Delete(" delete from pro_econ_curve_fitt_month_sub where year=#{year} and month=#{month}")
    public int deleteProEconCurveFittMonthSubByMonth(@Param(value = "year") String year, @Param(value = "month") String month);
}
