package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconCurveFittingMain;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线主表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconCurveFittingMainMapper extends BaseMapper<ProEconCurveFittingMain> {

    @Delete(" delete from pro_econ_curve_fitting_main where recordDate=#{recordDate} ")
    public int deleteProEconCurveFittingMainByDay(@Param(value = "recordDate") Date recordDate);
}
