package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconWtCurveFitting;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconWtCurveFittingMapper extends BaseMapper<ProEconWtCurveFitting> {

    @Delete(" delete from pro_econ_wt_curve_fitting where recordDate=#{recordDate} ")
    public int deleteProEconWtCurveFittingByDay(@Param(value = "recordDate") Date recordDate);

}
