package com.gyee.runeconomy.mapper.auto;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.runeconomy.model.auto.ProEconWtCurveFittingYear;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机年拟合曲线 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
public interface ProEconWtCurveFittingYearMapper extends BaseMapper<ProEconWtCurveFittingYear> {

    @Delete(" delete from pro_econ_wt_curve_fitting_year where year=#{year}")
    public int deleteProEconWtCurveFittingByYear(@Param(value = "year") String year);
}
