package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 场站测点，期次测点，线路测点，三级公司测点，区域测点
 * <p>
 * <p>
 * <p>
 * +方阵测点
 * </p>
 *
 * @author wang
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicPowerPoint extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 实时库名称
     */
    private String aname;

    /**
     * 型号
     */
    private String model;

    /**
     * 类型编号
     */
    private String typeId;

    /**
     * 所属型号
     */
    private String modelId;

    /**
     * 统一编码
     */
    private String uniformCode;

    /**
     * 场站编号
     */
    private String windpowerstationId;


}
