package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-02-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconBenchmarkingBetween extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 值班名称
     */
    private String dutyName;

    /**
     * 日期
     */
    private Date theday;

    /**
     * 理论发电量
     */
    private Double theoreticalGeneratity;

    /**
     * 发电量
     */
    private Double generatity;

    /**
     * 故障损失
     */
    private Double faultLoss;

    /**
     * 故障率
     */
    private Double faultRate;

    /**
     * 维护损失
     */
    private Double mainLoss;

    /**
     * 维护率
     */
    private Double mainRate;

    /**
     * 性能损失
     */
    private Double performanceLoss;

    /**
     * 性能率
     */
    private Double performanceRate;

    /**
     * 限电损失
     */
    private Double rationingLoss;

    /**
     * 限电率
     */
    private Double rationingRate;

    /**
     * 受累损失
     */
    private Double involvesLoss;

    /**
     * 受累率
     */
    private Double involvesRate;

    /**
     * 风能利用率
     */
    private Double fnlyl;


}
