package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconEquipmentmodel extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 描述
     */
    private String description;

    /**
     * 容量
     */
    private Double powerProduction;

    /**
     * 厂商编号
     */
    private String windturbineManufacturerId;

    /**
     * 图片
     */
    private String photo;

    /**
     * 传输总发电量单位
     */
    private String unit;

    /**
     * 切入风速
     */
    private Double cutinwindSpeed;

    /**
     * 额定风速
     */
    private Double ratedwindSpeed;

    /**
     * 切出风速
     */
    private String cutoutwindSpeed;

    /**
     * 叶片切入面积
     */
    private Double sweptArea;

    /**
     * 设备类别
     */
    private String equipmentCategory;


}
