package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenmh
 * @since 2023-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("pro_econ_power_fitting_analy_sis")
public class ProEconPowerFittingAnalySis extends Model<ProEconPowerFittingAnalySis> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    private String station;

    private String windturbineId;

    private String time;

    private String path;

    private String type;

    private String interval;

    private String processid;

    private String stationcn;

    private String code;

    private double cpavg;

    private double speedavg;

    private double frequency;

    private double pcratio;

    private double pc5ratio;

    private double pc10ratio;

    private double pc12ratio;

    private double pc25ratio;

    private Integer interp;

    private Integer iscal;


//    @Override
//    protected Serializable pkVal() {
//        return this.id;
//    }

}
