package com.gyee.runeconomy.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconTargetdataCopy extends Model {

    private static final long serialVersionUID = 1L;

    private String id;

    private String windpowerstationId;

    private String windpowerstationName;

    private BigDecimal generationDay;

    private BigDecimal generationMonth;

    private BigDecimal generationYear;

    private BigDecimal power;

    private BigDecimal speedOrBeam;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date recordDate;


}
