package com.gyee.runeconomy.model.auto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-07-23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class ProEconTargetdataFrist extends Model {

    private static final long serialVersionUID = 1L;
    @ExcelProperty("编号")
    private String id;
    @ExcelProperty("名称")
    private String name;
    @ExcelProperty("类型")
    private String type;
    @ExcelProperty("日期")
    private Date recordDate;
    @ExcelProperty("日发电量")
    private Double rfdl;
    @ExcelProperty("月发电量")
    private Double yfdl;
    @ExcelProperty("年发电量")
    private Double nfdl;

    @ExcelProperty("操作时间")
    private Date operationTime;


}
