package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 日场站级别MTTR MTBF
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWpmttrMtbfDay extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 外键编号
     */
    private String wpId;

    /**
     * 场站名称
     */
    private String wpName;

    /**
     * 所属位置
     */
    private String location;

    /**
     * 日期
     */
    private Date recorddate;

    /**
     * 故障小时
     */
    private Double stopHours;

    /**
     * 故障次数
     */
    private Double stopTimes;

    /**
     * 风机台时
     */
    private Double wthours;


}
