package com.gyee.runeconomy.model.auto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 日风机级别MTTR MTBF
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconWtmttrMtbfDay extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 风机编号
     */
    private String wtId;

    /**
     * 风机名称
     */
    private String wpName;

    /**
     * 日期
     */
    private Date recorddate;

    /**
     * 故障小时
     */
    private Double stophours;

    /**
     * 故障次数
     */
    private Double stoprtimes;


}
