package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProBasicPowerstationPoint;

import java.util.List;

/**
 * <p>
 * 场站测点，期次测点，线路测点，三级公司测点，区域测点
 * <p>
 * <p>
 * <p>
 * +方阵测点 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
public interface IProBasicPowerstationPointService extends IService<ProBasicPowerstationPoint> {

    List<ProBasicPowerstationPoint> getProBasicPowerstationPointList(String windpowerstationId, String uniformCode);

    public ProBasicPowerstationPoint getPowerstationPoint(String wpId, String uniformCode);

}
