package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconPowerstationInfoDay1;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * 场站五损电量 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-21
 */
public interface IProEconPowerstationInfoDay1Service extends IService<ProEconPowerstationInfoDay1> {

    IPage<ProEconPowerstationInfoDay1> list(String pageNum, String pageSize);


    /**
     * 五损率
     *
     * @return
     */
    Map<String, ProEconPowerstationInfoDay1> getEconFiveLoss(String foreignKeyId, String staType, String dateType, Date date);

    /**
     * 场站电量统计
     */
    List<ProEconPowerstationInfoDay1> getEconFiveLosslist(String foreignKeyId, String staType, String dateType, Date date);


    List<ProEconPowerstationInfoDay1> getEconFiveLosslist(List<String> foreignKeyIds, Date date);

    List<ProEconPowerstationInfoDay1> getmax(String foreignKeyId, Date date);

}
