package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProEconPowerstationInfoDay7;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 离散率系统效率 服务类
 * </p>
 *
 * @author wang
 * @since 2022-11-22
 */
public interface IProEconPowerstationInfoDay7Service extends IService<ProEconPowerstationInfoDay7> {

    Map<String, ProEconPowerstationInfoDay7> getEconThreeRate(String foreignKeyId, String staType, String dateType, Date date);

    List<ProEconPowerstationInfoDay7> getEconThreeRateCurve(String foreignKeyId, String staType, String dateType, Date date);
}
